<?php $v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission('add'); ?>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_SETUP_CONFIGURATION'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('agency_maintenance', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_USER_AGENCY_MAINTENANCE'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_USER_PROFILE'); ?>
			</div>
			<div class="col-sm-6 pl-3 pt-3">
				<h5 class="m-0 pb-0 module_name">
					<?php
					if ($v_controller_name == "list") {
						echo \E::get('obj_curr_module_lang')->get('LOCATION_PROFILE_LIST');
					}
					?>
				</h5>
			</div>
			<?php
			if ($v_access_add) { ?>
				<div class="col-sm-6">
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('location', 'add'); ?>" class="	btn btn-primary float-right" role="button" !important;>
						<?php echo \E::get('obj_kernel_lang')->get('BTN_ADD'); ?>
					</a>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
<hr/>
<div class="row mb-3">
	<div class="col-md-12">
		<div class="input-group pb-3 col-md-8">
			<input type="text" class="form-control" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SEARCH_PLACEHOLDER'); ?>" id="search_by_name">
			<div class="input-group-append">
				<button class="btn btn-secondary sidebar-color border-0 w-100" type="button" onclick="search();">
					<i class="fa fa-search text-secondary"></i>
				</button>
			</div>
		</div>
		<div class="row">
			<div class="col-md-2 col-xl-1">
				<i class="fas fa-sliders-h fa-lg"></i>
				<span class="font-weight-bold"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_FILTER'); ?></span>
			</div>
			<div class="col-xl-3 col-lg-4 col-md-4 col-sm-4 " id="agency_select_container">
				<div class="form-group">
					<label for="usr_name" data-id="location_filter" class="filter_container category_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_NAME'); ?></label>
					<i  data-id="location_filter" class=" fas fa-chevron-down  ml-n5 pl-3 category_name_arrow  text-secondary filter_container"></i>
					<div id="select2_container_category_filter">
						<select class="user_name form-control" name="states[]" multiple="multiple" id="location_filter" onchange="search();">
							<?php
							if (isset($v_location_data) && count($v_location_data) > 0) {
								foreach ($v_location_data as $v_key => $v_location_data) { ?>
									<option value="<?php echo \U::safe_display_string($v_location_data['id']); ?>"><?php echo \U::safe_display_string($v_location_data['name']); ?></option>
									<?php
								}
							}
							?>
						</select>
					</div>
				</div>
			</div>
			<div class="col-xl-3 col-lg-3 col-md-3 col-sm-4 ml-xl-n3" id="agency_select_container">
				<div class="form-group ml-xl-n3">
					<label for="usr_name" data-id="division_filter" class="filter_container locations_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2">&nbsp;&nbsp;&nbsp;&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_DIVISION'); ?>
						&nbsp;&nbsp;</label>
					<i  data-id="division_filter" class="fas fa-chevron-down ml-n5 pl-3  location_name_arrow text-secondary filter_container"></i>
					<div id="select2_container_location_filter">
						<select class="user_name form-control" id="division_filter" name="states[]" multiple="multiple" onchange="search();">
							<option value="01"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_KUCHING'); ?></option>
							<option value="02"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SRI_AMAN'); ?></option>
							<option value="03"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SIBU'); ?></option>
							<option value="04"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_MIRI'); ?></option>
							<option value="05"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_LIMBANG'); ?></option>
							<option value="06"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SARIKEI'); ?></option>
							<option value="07"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_KAPIT'); ?></option>
							<option value="08"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SAMARAHAN'); ?></option>
							<option value="09"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BINTULU'); ?></option>
							<option value="10"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_MUKAH'); ?></option>
							<option value="11"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BETONG'); ?></option>
							<option value="12"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SERIAN'); ?></option>
						</select>
					</div>
				</div>
			</div>
			<div class="col-xl-3 col-lg-3 col-md-3 col-sm-4 ml-xl-n3" id="agency_select_container">
				<div class="form-group ml-xl-n5">
					<label for="usr_name" data-id="status_filter" class="filter_container status_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2">&nbsp;&nbsp;&nbsp;&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_STATUS'); ?>
						&nbsp;&nbsp;</label>
					<i  data-id="status_filter" class="fas fa-chevron-down ml-n5 pl-3  status_filter_arrow text-secondary filter_container"></i>
					<div id="select2_container_status_filter">
						<select class="user_name form-control" name="states[]" multiple="multiple" id="status_filter" onchange="search();">
							<option value="SHOW"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_ACTIVE'); ?></option>
							<option value="DELETED"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_INACTIVE'); ?></option>
						</select>
					</div>
				</div>
			</div>
		</div>
		<div class="table-responsive">
			<table class="table table-bordered" id="data_table" width="100%" cellspacing="0">
				<thead>
				<tr>
					<th width="5%" data-columns-orderable="false">
						<?php echo \E::get('obj_kernel_lang')->get('TBL_NO'); ?>
					</th>
					<th width="19%">
						<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_CODE'); ?>
					</th>
					<th width="38%">
						<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_NAME'); ?>
					</th>
					<th width="38%">
						<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_AGENCY_NAME'); ?>
					</th>
				</tr>
				</thead>
				<tbody>
				</tbody>
			</table>
		</div>
	</div>
</div>
<?PHP
\I::load_error();
?>
<script language="javascript">
	function generate_filter(p_filter_label_class, p_category_filter_selected_count) {
		var v_message_name = "";
		if (p_filter_label_class == "category_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_NAME_LOCATION_NAME'); ?>";
		}
		if (p_filter_label_class == "status_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_NAME_STATUS_TEXT_ONLY'); ?>";
		}
		if (p_filter_label_class == "locations_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_NAME_DIVISION_TEXT_ONLY'); ?>";
		}
		if (p_category_filter_selected_count != 0) {
			$("." + p_filter_label_class).addClass("filter_label_select_class");
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: green !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 2px solid green !important;  color: green !important; font-weight: bold !important;');
			$("." + p_filter_label_class).html(p_category_filter_selected_count + " " + v_message_name);
		} else {
			$("." + p_filter_label_class).removeClass("filter_label_select_class");
			$("." + p_filter_label_class).html(v_message_name);
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: #6c757d !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 1px solid #6c757d !important;  color: #6c757d!important; font-weight: 400 !important;');
		}
	}
	$(document).ready(function () {
		var v_category_filter_selected_count = 0;
		var v_locations_filter_selected_count = 0;
		// CATEGORY FILTER STARTS
		$("#location_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		$("#location_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		// CATEGORY FILTER ENDS
		// LOCATION FILTER STARTS
		$("#division_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("locations_label", select_val.length);
		});
		$("#division_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("locations_label", select_val.length);
		});
		// LOCATION FILTER ENDS
		// STATUS FILTER STARTS
		$("#status_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("status_label", select_val.length);
		});
		$("#status_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("status_label", select_val.length);
		});
		// STATUS FILTER ENDS
		$("#location_filter").select2({});
		$("#division_filter").select2({});
		$("#status_filter").select2({});
		$('#select2_container_category_filter').hide();
		$('#select2_container_location_filter').hide();
		$('#select2_container_status_filter').hide();
	});
	var is_open_category = 0;
	var is_open_location = 0;
	var is_open_status = 0;
	$(document).on('click', '.filter_container', function (e) {
		if ($(this).data("id") === "location_filter") {
			if (is_open_category == 0) {
				is_open_category = 1;
				$('#select2_container_category_filter').fadeIn(700);
				$('#location_filter').select2('open');
				$(".category_name_arrow").removeClass("fa-chevron-down");
				$(".category_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_category = 0;
				$('#select2_container_category_filter').fadeOut(300);
				$('#location_filter').select2('close');
				$(".category_name_arrow").removeClass("fa-chevron-up");
				$(".category_name_arrow").addClass("fa-chevron-down");
			}
			is_open_location = 0;
			is_open_status = 0;
			$('#select2_container_location_filter').hide(500);
			$('#select2_container_status_filter').hide(500);
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
			$(".status_filter_arrow").removeClass("fa-chevron-up");
			$(".status_filter_arrow").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "division_filter") {
			if (is_open_location == 0) {
				is_open_location = 1;
				$('#select2_container_location_filter').fadeIn(700);
				$('#division_filter').select2('open');
				$(".location_name_arrow").removeClass("fa-chevron-down");
				$(".location_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_location = 0;
				$('#select2_container_location_filter').fadeOut(300);
				$('#division_filter').select2('close');
				$(".location_name_arrow").removeClass("fa-chevron-up");
				$(".location_name_arrow").addClass("fa-chevron-down");
			}
			is_open_category = 0;
			is_open_status = 0;
			$('#select2_container_category_filter').hide(500);
			$('#select2_container_status_filter').hide(500);
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
			$(".status_filter_arrow").removeClass("fa-chevron-up");
			$(".status_filter_arrow").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "status_filter") {
			if (is_open_status == 0) {
				is_open_status = 1;
				$('#select2_container_status_filter').fadeIn(700);
				$('#status_filter').select2('open');
				$(".status_filter_arrow").removeClass("fa-chevron-down");
				$(".status_filter_arrow").addClass("fa-chevron-up");
			} else {
				is_open_status = 0;
				$('#select2_container_status_filter').fadeOut(300);
				$('#status_filter').select2('close');
				$(".status_filter_arrow").removeClass("fa-chevron-up");
				$(".status_filter_arrow").addClass("fa-chevron-down");
			}
			is_open_category = 0;
			is_open_location = 0;
			$('#select2_container_category_filter').hide(500);
			$('#select2_container_location_filter').hide(500);
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
		}
	});
	var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('location', 'list_ajax'); ?>';
	var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_list_user";
	var v_list;
	var v_init = false;
	var v_init_page = 0;
	var v_init_usr_name, v_init_usr_email, v_init_usr_new_ic_no, v_init_short_name, v_init_usr_group, v_init_usr_agency,
		v_init_usr_branch, v_init_usr_authentic_method, v_init_usr_status;
	$(document).ready(
		function () {
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if ($v_session_msg_title != '' && $v_session_msg != '') {
			?>
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo $v_session_msg; ?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
			v_list = $('#data_table').DataTable({
				"pagingType": "full_numbers",
				"language": {
					"paginate": {
						"previous": "Previous"
					}
				},
				"dom": "<'row'<'col-sm-12 col-md-6'l><'col-sm-12 col-md-6 text-right'f>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-6'i><'col text-right pt-1'<'mpage'>><'col-auto'p>>",
				"lengthMenu": [
					[10, 25, 50, -1],
					[10, 25, 50, "All"]
				],
				"responsive": {
					details: {
						display: $.fn.dataTable.Responsive.display.childRowImmediate,
						type: 'none',
						target: ''
					}
				},
				"searching": false,
				"processing": true,
				"serverSide": true,
				"deferRender": true,
				"deferLoading": true,
				"stateSave": true,
				"stateSaveParams": function (settings, data) {
				},
				"stateLoaded": function (settings, data) {
					v_init_page = data.start;
				},
				"ajax": {
					url: v_list_url,
					dataSrc: 'data',
					type: 'GET',
					data: function (d) {
						d['location_name_code'] = $('#search_by_name').val();
						d['location_filter'] = $('#location_filter').val();
						d['division_filter'] = $('#division_filter').val();
						d['status_filter'] = $('#status_filter').val();
						if (v_init == true) {
							d['start'] = v_init_page;
						}
					},
					done: function (data) {
					},
					error: function (err) {
						if (err.responseText.includes('REQUIRED_LOGIN')) {
							window.location = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list'); ?>';
						}
					}
				},
				"drawCallback": function (settings) {
					if (v_init == true) {
						v_init = false;
						var v_info_init = v_list.page.info();
						$('#manual_paging').attr('max', v_info_init.pages).attr('min', 1);
						$('#manual_paging').on('keypress', function (e) {
							if (e.which == 13) {
								var v_info = v_list.page.info();
								if ($('#manual_paging').val() != '' && $('#manual_paging').val() <= v_info.pages && $('#manual_paging').val() > 0) {
									v_list.page(($('#manual_paging').val() - 1)).draw('page');
								}
							}
						});
					}
				},
				"columns": [{
					"data": 'no',
					"orderable": false
				},
					{
						"data": 'location_code'
					},
					{
						"data": 'location_name'
					},
					{
						"data": 'agency_name'
					},
				],
				"order": [1, "desc"],
				"initComplete": function (settings, json) {
					v_init = true;
					$("div.mpage").html('<input type="number" id="manual_paging" class="text-center" value="" style="width:50px;">');
				}
			}).on('page.dt', function () {
				var v_info = v_list.page.info();
				$('#manual_paging').val((v_info.page + 1));
			}).on('length.dt', function (e, settings, len) {
				var v_info = v_list.page.info();
				$('#manual_paging').attr('max', v_info.pages);
			});
			var v_state = v_list.state.loaded();
			if (v_state) {
				v_init = true;
				v_list.ajax.reload(null, false);
			} else {
				v_list.ajax.reload();
			}
		}
	);
	function search() {
		v_list.ajax.reload();
	}
</script>