<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('report', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_REPORT'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_REPEINT_REPORT'); ?>
			</div>
			<div class="col-sm-6 pl-3 pt-3">
				<h5 class="m-0 pb-0 module_name">
					<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_REPEINT_REPORT'); ?>
				</h5>
			</div>
		</div>
	</div>
</div>
<br/>
<div class="row mb-3">
	<div class="col-md-12">
		<div class="input-group pb-1 col-md-9">
			<span class=""><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_REPORT_NAME'); ?> </span>
			<select class="ml-5 form-control compulsory" id="agency_id" name="agency_id">
				<option value="sales_report"><?php echo \U::safe_display_string(\E::get('obj_curr_module_lang')->get('REPRINT_TICKET_SALES_REPORT')); ?></option>
			</select>
		</div>
		<hr class="p-0 mb-4"/>
		<div class="row">
			<div class="col-md-2 col-xl-1 mr-2">
				<i class="fas fa-sliders-h fa-lg"></i>
				<span class="font-weight-bold"><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_FILTER'); ?></span>
			</div>
			<div class="col-xl-3 col-lg-4 col-md-4 col-sm-4" id="agency_select_container">
				<div class="form-group">
					<label for="usr_name" data-id="agency_filter" class="filter_container category_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2"><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_LOCATIONS'); ?></label>
					<i data-id="agency_filter" class=" fas fa-chevron-down  ml-n5 pl-3 category_name_arrow  text-secondary filter_container"></i>
					<div id="select2_container_category_filter">
						<select class="user_name form-control" name="states[]" multiple="multiple" id="agency_filter" onchange="search();">
							<?php
							if (isset($v_location_filter_data) && count($v_location_filter_data) > 0) {
								foreach ($v_location_filter_data as $v_key => $v_location_each) { ?>
									<option value="<?php echo \U::safe_display_string($v_location_each['id']); ?>"><?php echo \U::safe_display_string($v_location_each['name']); ?></option>
									<?php
								}
							}
							?>
						</select>
					</div>
				</div>
			</div>
			<div class="col-xl-3 col-lg-3 col-md-3 col-sm-4 ml-xl-n5 ml-md-n5" id="agency_select_container">
				<div class="form-group ml-xl-n4">
					<label for="usr_name" data-id="division_filter" class="filter_container locations_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2"><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_USER_ID_NAME'); ?></label>
					<i data-id="division_filter" class="fas fa-chevron-down ml-n5 pl-3  location_name_arrow text-secondary filter_container"></i>
					<div id="select2_container_location_filter">
						<select class="user_name form-control" id="division_filter" name="states[]" multiple="multiple" onchange="search();">
							<?php
							if (isset($v_cashiersfilter_data) && count($v_cashiersfilter_data) > 0) {
								foreach ($v_cashiersfilter_data as $v_key => $v_user_each) { ?>
									<option value="<?php echo \U::safe_display_string($v_user_each['usr_id']); ?>"><?php echo \U::safe_display_string($v_user_each['usr_short_name']); ?></option>
									<?php
								}
							}
							?>
						</select>
					</div>
				</div>
			</div>
			<div class="offset-md-2 col-xl-3 col-lg-3 col-md-3 col-sm-4 ml-xl-n3" id="agency_select_container">
				<div class="form-group ml-xl-n5">
					<label for="usr_name" data-id="status_filter" class="filter_container status_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2"><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_PAYMENT_MODE'); ?></label>
					<i  data-id="status_filter" class="fas fa-chevron-down ml-n5 pl-3  status_filter_arrow text-secondary filter_container"></i>
					<div id="select2_container_status_filter">
						<select class="user_name form-control" name="states[]" multiple="multiple" id="status_filter" onchange="search();">
							<?php
							if (isset($v_payment_methods_filter_data) && count($v_payment_methods_filter_data) > 0) {
								foreach ($v_payment_methods_filter_data as $v_key => $v_p_mode_each) { ?>
									<option value="<?php echo \U::safe_display_string($v_p_mode_each['id']); ?>"><?php echo \U::safe_display_string($v_p_mode_each['name']); ?></option>
									<?php
								}
							}
							?>
						</select>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-2 col-xl-1 mr-2"></div>
			<div class="col-xl-3 col-lg-4 col-md-4 col-sm-4" id="agency_select_container">
				<div class="form-group">
					<input type="text" class="form-control text-left date_range_reprint_report" placeholder="Date Range" id="date_range_dates" readonly>
					<div class="input-group-append second_date_range">
						<button class="btn btn-secondary sidebar-color border-0 date_Range_btn_reprint" type="button" id="date_range">
							<i class="fa fa-calendar text-secondary"></i>
						</button>
					</div>
				</div>
			</div>
			<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2" id="agency_select_container">
				<div class="form-group ml-xl-n4">
					<label for="usr_name" data-id="division_filter_status_report" class="filter_container locations_label_report_status col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_STATUS_FILTER_TEXT'); ?></label>
					<i  data-id="division_filter_status_report" class="fas fa-chevron-down ml-n5 pl-3  location_name_arrow_report_status text-secondary filter_container"></i>
					<div id="select2_container_location_filter_report_filter">
						<select class="user_name form-control" id="division_filter_status_report" name="states" onchange="search();">
							<?php
							if (isset($v_filter_status) && count($v_filter_status) > 0) {
								foreach ($v_filter_status as $v_key => $v_user_each) { ?>
									<option value="<?php echo \U::safe_display_string($v_user_each['id']); ?>"><?php echo \U::safe_display_string($v_user_each['key_value']); ?></option>
									<?php
								}
							}
							?>
						</select>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<p>
	<strong><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_AGENCY_CODE_NAME'); ?></strong>
	<?php echo $v_agency_code . "-" . $v_agency_name; ?>
</p>
<p>
	<strong><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_LOCATION_CODE_NAME'); ?></strong>
	<?php echo $v_location_code . "-" . $v_location_name; ?>
</p>
<p>
	<strong><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_DATE_FILTER'); ?></strong>
	<?php echo date("d/m/Y H:i:s"); ?>
</p>
<br/>
<?PHP
\I::load_error();
if ($v_location_name != '') {
	$v_location_name = \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_LOCATION_TEXT_PNLY'). $v_location_name . ' \n';
}
if ($v_agency_name != '') {
	$v_agency_name = \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_AGENCY_TEXT_PNLY'). $v_agency_name . ' \n';
}
?>
<div class="table-responsive">
	<table class="table table-bordered" id="data_table" width="100%" cellspacing="0">
		<thead>
		<tr>
			<th class="thead_styling"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_TABLE_HEADING_RECEIPT_NUMBER_1'); ?></th>
			<th class="thead_styling"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_TABLE_HEADING_TICKET_ID_1'); ?></th>
			<th class="thead_styling"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_TABLE_HEADING_TIKCET_LCOATION_1'); ?></th>
			<th class="thead_styling"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_TABLE_HEADING_RECEIPT_PROFILE_1'); ?></th>
			<th class="thead_styling"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_TABLE_HEADING_TICKET_CATEGORY_1'); ?></th>
			<th class="thead_styling"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_TABLE_HEADING_MODE_OF_PAYMENT_1'); ?></th>
			<th class="thead_styling"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_TABLE_HEADING_RECEIPT_DATE_1'); ?></th>
			<th class="thead_styling"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_STATUS'); ?></th>
			<th class="thead_styling text-right"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_TABLE_HEADING_AMOUNT_1'); ?></th>
		</tr>
		</thead>
		<tbody>
		</tbody>
		<tfoot class="d-none-ni">
		<tr>
			<th></th>
			<th></th>
			<th></th>
			<th class="col_1_data table_export_footer_styleing"></th>
			<th></th>
			<th></th>
			<th></th>
			<th></th>
			<th class="col_2_data table_export_footer_styleing"></th>
		</tr>
		</tfoot>
	</table>
</div>
<div class="datatable_nav d-none-ni">
	<div class="custom_export_btn_container">
		<a href="<?php echo \E::get('obj_curr_module')->build_action_path('report', 'list'); ?>">
			<button class="btn btn-default w-140-reprint_report"><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_BACK_TO_REPORTS'); ?></button>
		</a>
		<button class="btn btn-info" onclick="export_to('print')"><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_PRINT_BTN_TEXT'); ?></button>
		<div class="btn-group" role="group" aria-label="Button group with nested dropdown">
			<div class="btn-group" role="group">
				<button id="btnGroupDrop1" type="button" class="btn btn-secondary dropdown-toggle reprint_rcport_to_btn" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
					<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_EXPORT_TO_BTN_TEXT'); ?>
				</button>
				<div class="dropdown-menu" aria-labelledby="btnGroupDrop1" id="eport_feature">
					<a class="dropdown-item" onclick="export_to('excel')" href="javascript:void(0);"><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_EXPORT_TO_EXCEL_BTN_TEXT'); ?></a>
					<a class="dropdown-item" onclick="export_to('pdf')" href="javascript:void(0);"><?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_EXPORT_TO_PDF_BTN_TEXT'); ?></a>
				</div>
			</div>
		</div>
	</div>
</div>
<input type="hidden" id="report_id" value="<?php echo $v_current_report_id; ?>">
<?php $v_report_tile = \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_SALES_REPORT_ONLY');?>
<script language="javascript">
	function generate_filter(p_filter_label_class, p_category_filter_selected_count) {
		var v_message_name = "";
		if (p_filter_label_class == "category_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_LOCATIONS_TEXT_ONLY'); ?>";
		}
		if (p_filter_label_class == "status_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_PAYMENT_MODE_TEXT_ONLY'); ?>";
		}
		if (p_filter_label_class == "locations_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_USER_NAME_ID'); ?>";
		}
		if (p_filter_label_class == "locations_label_report_status") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_STATUS_TEXT_ONLY'); ?>";
		}
		if (p_category_filter_selected_count != 0) {
			$("." + p_filter_label_class).addClass("filter_label_select_class");
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: green !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 2px solid green !important;  color: green !important; font-weight: bold !important;');
			$("." + p_filter_label_class).html(p_category_filter_selected_count + " " + v_message_name);
		} else {
			$("." + p_filter_label_class).removeClass("filter_label_select_class");
			$("." + p_filter_label_class).html(v_message_name);
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: #6c757d !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 1px solid #6c757d !important;  color: #6c757d!important; font-weight: 400 !important;');
		}
	}
	$(document).ready(function () {
		var v_category_filter_selected_count = 0;
		var v_locations_filter_selected_count = 0;
		$("#agency_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		$("#agency_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		$("#division_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("locations_label", select_val.length);
		});
		$("#division_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("locations_label", select_val.length);
		});
		$("#division_filter_status_report").on("select2:close", function (e) {
			var select_val = $("#division_filter_status_report option:selected").length;
			generate_filter("locations_label_report_status", select_val);
		});
		$("#division_filter_status_report").on("select2:select", function (e) {
			var select_val = $("#division_filter_status_report option:selected").length;
			generate_filter("locations_label_report_status", select_val);
		});
		$("#status_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("status_label", select_val.length);
		});
		$("#status_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("status_label", select_val.length);
		});
		$("#agency_filter").select2({});
		$("#division_filter").select2({});
		$("#division_filter_status_report").select2({minimumResultsForSearch: -1});
		$("#status_filter").select2({});
		$('#select2_container_category_filter').hide();
		$('#select2_container_location_filter').hide();
		$('#select2_container_location_filter_report_filter').hide();
		$('#select2_container_status_filter').hide();
	});
	var is_open_category = 0;
	var is_open_location = 0;
	var is_open_status = 0;
	var is_open_location_report_status = 0;
	$(document).on('click', '.filter_container', function (e) {
		if ($(this).data("id") === "agency_filter") {
			if (is_open_category == 0) {
				is_open_category = 1;
				$('#select2_container_category_filter').fadeIn(700);
				$('#agency_filter').select2('open');
				$(".category_name_arrow").removeClass("fa-chevron-down");
				$(".category_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_category = 0;
				$('#select2_container_category_filter').fadeOut(300);
				$('#agency_filter').select2('close');
				$(".category_name_arrow").removeClass("fa-chevron-up");
				$(".category_name_arrow").addClass("fa-chevron-down");
			}
			is_open_location = 0;
			is_open_location_report_status = 0;
			is_open_status = 0;
			$('#select2_container_location_filter').hide(500);
			$('#select2_container_location_filter_report_filter').hide(500);
			$('#select2_container_status_filter').hide(500);
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
			$(".status_filter_arrow").removeClass("fa-chevron-up");
			$(".status_filter_arrow").addClass("fa-chevron-down");
			$(".location_name_arrow_report_status").removeClass("fa-chevron-up");
			$(".location_name_arrow_report_status").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "division_filter_status_report") {
			if (is_open_location_report_status == 0) {
				is_open_location_report_status = 1;
				$('#select2_container_location_filter_report_filter').fadeIn(700);
				$('#division_filter_status_report').select2('open');
				$(".location_name_arrow_report_status").removeClass("fa-chevron-down");
				$(".location_name_arrow_report_status").addClass("fa-chevron-up");
			} else {
				is_open_location_report_status = 0;
				$('#select2_container_location_filter_report_filter').fadeOut(300);
				$('#division_filter_status_report').select2('close');
				$(".location_name_arrow_report_status").removeClass("fa-chevron-up");
				$(".location_name_arrow_report_status").addClass("fa-chevron-down");
			}
			is_open_location = 0;
			is_open_category = 0;
			is_open_status = 0;
			$('#select2_container_category_filter').hide(500);
			$('#select2_container_status_filter').hide(500);
			$('#select2_container_location_filter').hide(500);
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
			$(".status_filter_arrow").removeClass("fa-chevron-up");
			$(".status_filter_arrow").addClass("fa-chevron-down");
			// $(".location_name_arrow_report_status").removeClass("fa-chevron-up");
			// $(".location_name_arrow_report_status").addClass("fa-chevron-down");
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "division_filter") {
			if (is_open_location == 0) {
				is_open_location = 1;
				$('#select2_container_location_filter').fadeIn(700);
				$('#division_filter').select2('open');
				$(".location_name_arrow").removeClass("fa-chevron-down");
				$(".location_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_location = 0;
				$('#select2_container_location_filter').fadeOut(300);
				$('#division_filter').select2('close');
				$(".location_name_arrow").removeClass("fa-chevron-up");
				$(".location_name_arrow").addClass("fa-chevron-down");
			}
			is_open_category = 0;
			is_open_status = 0;
			is_open_location_report_status = 0;
			$('#select2_container_category_filter').hide(500);
			$('#select2_container_status_filter').hide(500);
			$('#select2_container_location_filter_report_filter').hide(500);
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
			$(".status_filter_arrow").removeClass("fa-chevron-up");
			$(".status_filter_arrow").addClass("fa-chevron-down");
			$(".location_name_arrow_report_status").removeClass("fa-chevron-up");
			$(".location_name_arrow_report_status").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "status_filter") {
			if (is_open_status == 0) {
				is_open_status = 1;
				$('#select2_container_status_filter').fadeIn(700);
				$('#status_filter').select2('open');
				$(".status_filter_arrow").removeClass("fa-chevron-down");
				$(".status_filter_arrow").addClass("fa-chevron-up");
			} else {
				is_open_status = 0;
				$('#select2_container_status_filter').fadeOut(300);
				$('#status_filter').select2('close');
				$(".status_filter_arrow").removeClass("fa-chevron-up");
				$(".status_filter_arrow").addClass("fa-chevron-down");
			}
			is_open_category = 0;
			is_open_location = 0;
			is_open_location_report_status = 0;
			$('#select2_container_category_filter').hide(500);
			$('#select2_container_location_filter').hide(500);
			$('#select2_container_location_filter_report_filter').hide(500);
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
			$(".location_name_arrow_report_status").removeClass("fa-chevron-up");
			$(".location_name_arrow_report_status").addClass("fa-chevron-down");
		}
	});
	var no_of_total_tickets = 0;
	var total_cash_transactions = 0;
	var total_sarawak_transactions = 0;
	var no_of_total_amount = 0;
	var total_amount_by_cash = 0;
	var total_amount_by_sarawak = 0;
	var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('reprint_report', 'list_ajax'); ?>';
	var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_list_user";
	var v_list;
	var v_init = false;
	var v_init_page = 0;
	var v_init_usr_name, v_init_usr_email, v_init_usr_new_ic_no, v_init_short_name, v_init_usr_group, v_init_usr_agency,
		v_init_usr_branch, v_init_usr_authentic_method, v_init_usr_status;
	$(document).ready(
		function () {
			var c_date = '<?php echo date("d/m/Y H:i:s");?>';
			var printCounter = 0;
			var currentdate = new Date();
			var v_location_name = '<?php echo $v_location_name;?>';
			var v_agency_name = '<?php echo $v_agency_name;?>';
			var datetime = currentdate.getDate() + "/" + (currentdate.getMonth() + 1) + "/" + currentdate.getFullYear();
			var report_filters_data = "";
			v_list = $('#data_table').DataTable({
				"pagingType": "full_numbers",
				"language": {
					"paginate": {
						"previous": "Previous"
					}
				},
				dom: '<"dt-top-container"<l><"dt-center-in-div"B><f>r>t<"dt-filter-spacer"f><ip>',
				buttons: [
					{
						extend: 'excel',
						footer: true,
						action: newExportAction,
						filename: "Sales Report - " + datetime,
						title: "eTicketing System - " + '<?php echo $v_report_tile;?>' + "\n" + v_agency_name + " " + v_location_name + " " + report_filters_data + "Date: " + c_date
					},
					{
						extend: 'pdfHtml5',
						footer: true,
						exportOptions: {
							columns: [0, 1, 2, 3, 4, 5, 6, 7, 8]
						},
						action: newExportAction,
						filename: "<?php echo $v_report_tile;?>",
						pageSize: 'A4',
						orientation: 'landscape',
						title: "eTicketing System - " + '<?php echo $v_report_tile;?>',
						header: true,
						customize: function (doc) {
							if (report_filters_data != '') {
								report_filters_data = report_filters_data + ' \n';
							}
							doc.content[1].table.widths = ['11%', '9%', '7%', '19%', '10%', '7%', '9%', '9%', '22%'];
							doc.content[1].table.alignment = "center";
							var iColumns = $('#data_table thead th').length;
							rowCount = (parseInt($(".v_total_tables_rows_count").val()) + 1);
							doc.content[1].table.body[0][0].alignment = 'left';
							doc.content[1].table.body[0][1].alignment = 'left';
							doc.content[1].table.body[0][2].alignment = 'left';
							doc.content[1].table.body[0][3].alignment = 'left';
							doc.content[1].table.body[0][4].alignment = 'left';
							doc.content[1].table.body[0][5].alignment = 'left';
							doc.content[1].table.body[0][6].alignment = 'left';
							doc.content[1].table.body[0][7].alignment = 'left';
							if (rowCount > 0) {
								for (i = 0; i <= rowCount; i++) {
									doc.content[1].table.body[i][iColumns - 1].alignment = 'right';
									doc.content[1].table.body[i][iColumns - 1].fontSize = 10;
									doc.content[1].table.body[i][iColumns - 6].fontSize = 10;
								};
								doc.content[1].table.body[rowCount][iColumns - 6].alignment = 'right';
								doc.content[1].table.body[rowCount][iColumns - 1].text = '<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_TOTAL_AMOUNT_TEXT_ONLY'); ?>' + no_of_total_amount + '\n';
								doc.content[1].table.body[rowCount][iColumns - 1].text += '<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_TOTAL_AMOUNT_CASH_TEXT_ONLY'); ?>' + total_amount_by_cash + '\n';
								doc.content[1].table.body[rowCount][iColumns - 1].text += '<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_TOTAL_AMOUNT_SPAY_GLOBAL_TEXT_ONLY'); ?>' + total_amount_by_sarawak + '\n';
								doc.content[1].table.body[rowCount][iColumns - 6].text = '<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_TOTAL_TICKET_TEXT_ONLY'); ?>' + no_of_total_tickets + '\n';
								doc.content[1].table.body[rowCount][iColumns - 6].text += '<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_TOTAL_TICKET_CASH_TEXT_ONLY'); ?>' + total_cash_transactions + '\n';
								doc.content[1].table.body[rowCount][iColumns - 6].text += '<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_TOTAL_TICKET_SPAY_GLOBAL_TEXT_ONLY'); ?>' + total_sarawak_transactions + '\n';
							}
							doc.content.splice(0, 1, {
								text: [{
									text: 'eTicketing System - ' + "<?php echo $v_report_tile;?>" + ' \n',
									bold: true,
									fontSize: 25
								}, {
									text: v_agency_name,
									bold: true,
									fontSize: 12
								}, {
									text: v_location_name,
									bold: true,
									fontSize: 12
								}, {
									text: report_filters_data,
									bold: false,
									fontSize: 12
								}, {
									text: 'Date: ' + c_date + ' \n',
									bold: false,
									fontSize: 12
								}],
								margin: [0, 0, 0, 12],
								alignment: 'center'
							});
						},
					},
					{
						extend: 'print',
						footer: false,
						action: newExportAction,
						filename: "<?php echo $v_report_tile;?>",
						pageSize: 'A4',
						orientation: 'landscape',
						exportOptions: {
							stripNewlines: false,
							stripHtml: false,
							columns: ':visible'
						},
						title: " ",
						autoPrint: false,
						messageTop: function () {
							return "<div style='font-size: 25px;text-align: center;margin-bottom: 0px;font-weight: bold;'>eTicketing System - " + '<?php echo $v_report_tile;?>' + "</div><div style='font-size: 15px;text-align: center;margin-bottom: 0px;font-weight: bold;'>" + v_agency_name + "</div><div style='font-size: 15px;text-align: center;margin-bottom: 0px;font-weight: bold;'>" + v_location_name + "</div><div style='font-size: 15px;text-align: center;margin-bottom: 0px;font-weight: normal;'>" + report_filters_data + "</div><div style='font-size: 15px;text-align: center;margin-bottom: 0px;font-weight: normal;'>Date: " + c_date + "</div>";
						},
						messageBottom: function () {
							return '<div style="text-align:right;width:45%;float:left; margin-top: 30px; font-size: 20px;">Total Ticket(s): ' + no_of_total_tickets + '<br />Total No. of Transactions by Cash: ' + total_cash_transactions + '<br />Total No. of Transactions by SPayGlobal: ' + total_sarawak_transactions + '<br /></div><div style="text-align:right;width:45%;float:right; padding-right:15px; margin-top: 30px;  font-size: 20px;"><strong>Total Amount(RM): ' + no_of_total_amount + '</strong><br />Total Amount by Cash: ' + total_amount_by_cash + '<br />Total Amount by SPayGlobal: ' + total_amount_by_sarawak + '<br /></div>';
						}
					}
				],
				"lengthMenu": [
					[10, 25, 50, -1],
					[10, 25, 50, "All"]
				],
				"responsive": {
					details: {
						display: $.fn.dataTable.Responsive.display.childRowImmediate,
						type: 'none',
						target: ''
					}
				},
				"searching": false,
				"processing": true,
				"serverSide": true,
				"autoWidth": false,
				"deferRender": true,
				"deferLoading": true,
				"stateSave": false,
				"stateSaveParams": function (settings, data) {
				},
				"stateLoaded": function (settings, data) {
					v_init_page = data.start;
				},
				"ajax": {
					url: v_list_url,
					dataSrc: 'data',
					type: 'GET',
					data: function (d) {
						d['location_filter'] = $('#agency_filter').val();
						d['user_id_filter'] = $('#division_filter').val();
						d['payment_method_filter'] = $('#status_filter').val();
						d['date_range_dates'] = $('#date_range_dates').val();
						d['report_status'] = $('#division_filter_status_report option:selected').val();
						if (v_init == true) {
							d['start'] = v_init_page;
						}
					},
					done: function (data) {
					},
					error: function (err) {
						if (err.responseText.includes('REQUIRED_LOGIN')) {
							window.location = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list');?>';
						}
					}
				},
				"drawCallback": function (settings) {
					$("#data_table_info").append($(".datatable_nav").html());
					var myVar = setInterval(myTimer, 500);
					report_filters_data = generate_filter_data_report();
					function myTimer() {
						myStopFunction();
					}
					function myStopFunction() {
						if ((typeof $(".no_of_total_tickets").val() !== "undefined") && ($.trim($(".no_of_total_tickets").val()) != "")) {
							no_of_total_tickets = parseFloat($(".no_of_total_tickets").val());
						} else {
							no_of_total_tickets = 0;
						}
						if ((typeof $(".total_cash_transactions").val() !== "undefined") && ($.trim($(".total_cash_transactions").val()) != "")) {
							total_cash_transactions = parseFloat($(".total_cash_transactions").val());
						} else {
							total_cash_transactions = 0;
						}
						if ((typeof $(".total_sarawak_transactions").val() !== "undefined") && ($.trim($(".total_sarawak_transactions").val()) != "")) {
							total_sarawak_transactions = parseFloat($(".total_sarawak_transactions").val());
						} else {
							total_sarawak_transactions = 0;
						}
						if ((typeof $(".no_of_total_amount").val() !== "undefined") && ($.trim($(".no_of_total_amount").val()) != "")) {
							no_of_total_amount = $(".no_of_total_amount").val();
						} else {
							no_of_total_amount = 0;
						}
						if ((typeof $(".total_amount_by_cash").val() !== "undefined") && ($.trim($(".total_amount_by_cash").val()) != "")) {
							total_amount_by_cash = $(".total_amount_by_cash").val();
						} else {
							total_amount_by_cash = 0;
						}
						if ((typeof $(".total_amount_by_sarawak").val() !== "undefined") && ($.trim($(".total_amount_by_sarawak").val()) != "")) {
							total_amount_by_sarawak = $(".total_amount_by_sarawak").val();
						} else {
							total_amount_by_sarawak = 0;
						}
						$(".col_1_data").html(
							"Total Ticket(s): " + no_of_total_tickets + "<br />" +
							"Total Transactions by Cash: " + total_cash_transactions + "<br />" +
							"Total Transactions by SPayGlobal: " + total_sarawak_transactions + "<br />"
						);
						$(".col_2_data").html(
							"&nbsp;&nbsp;&nbsp;<strong>Total Amount(RM): " + no_of_total_amount + "</strong><br />" +
							"&nbsp;&nbsp;&nbsp;Total Amount by Cash: " + total_amount_by_cash + "<br />" +
							"&nbsp;&nbsp;&nbsp;Total Amount by SPayGlobal: " + total_amount_by_sarawak + "<br />"
						);
						$(".dt-filter-spacer").html('<table id="tfooter_text" style="margin: 0 auto; text-align:right;" width="100%";><tr><td>Total Ticket(s): ' + no_of_total_tickets + '</td><td><strong>Total Amount(RM): ' + no_of_total_amount + '</strong></td></tr><tr><td>Total Transactions by Cash: ' + total_cash_transactions + '</td><td>Total Amount by Cash: ' + total_amount_by_cash + '</td></tr><tr><td>Total Transactions by SPayGlobal: ' + total_sarawak_transactions + ' </td><td>Total Amount by SPayGlobal: ' + total_amount_by_sarawak + '</td></tr></table>');
						clearInterval(myVar);
					}
					if (v_init == true) {
						v_init = false;
						var v_info_init = v_list.page.info();
						$('#manual_paging').attr('max', v_info_init.pages).attr('min', 1);
						$('#manual_paging').on('keypress', function (e) {
							if (e.which == 13) {
								var v_info = v_list.page.info();
								if ($('#manual_paging').val() != '' && $('#manual_paging').val() <= v_info.pages && $('#manual_paging').val() > 0) {
									v_list.page(($('#manual_paging').val() - 1)).draw('page');
								}
							}
						});
					}
					$(".dataTable tbody").find("tr").each(function () {
						var parent_rowspan = parseInt($(this).find(".parent_rowspan").val());
						if (parent_rowspan > 1) {
							$(this).find("td").eq(0).attr('colspan', 5);
							$(this).find("td:nth-child(2)").remove();
							$(this).find("td:nth-child(2)").remove();
							$(this).find("td:nth-child(2)").remove();
							$(this).find("td:nth-child(2)").remove();
							$(this).attr("style", "background-color:#F8F8F8;");
						}
					});
					$(".dataTable tbody").find("tr").each(function () {
						var child_rowspan = parseInt($(this).find(".child_rowspan").val());
						if (child_rowspan > 1) {
							$(this).find("td").eq(0).attr('rowspan', child_rowspan);
						}
					});
					$(".remove_row_span_col").each(function () {
						if ($.trim($(this).parents("tr").find("td").eq(0).html()) == "") {
							$(this).parents("tr").find("td").eq(0).remove();
						}
					});
				},
				"columns": [
					{"data": 'receipt_number', "width": "14%"},
					{"data": 'ticket_id', "width": "9%"},
					{"data": 'ticket_location', "width": "13%"},
					{"data": 'ticket_profile', "width": "12%"},
					{"data": 'ticket_category', "width": "13%"},
					{"data": 'mode', "width": "15%"},
					{"data": 'date', "width": "12%"},
					{"data": 'report_status', "width": "12%"},
					{"data": 'amount', "class": "text-right datatable_aling_text", "width": "10%"},
				],
				"order": [1, "desc"],
				"initComplete": function (settings, json) {
					v_init = true;
					$("div.mpage").html('<input type="number" id="manual_paging" class="text-center" value="" style="width:50px;">');
				}
			}).on('page.dt', function () {
				var v_info = v_list.page.info();
				$('#manual_paging').val((v_info.page + 1));
			}).on('length.dt', function (e, settings, len) {
				var v_info = v_list.page.info();
				$('#manual_paging').attr('max', v_info.pages);
			});
			var v_state = v_list.state.loaded();
			if (v_state) {
				v_init = true;
				v_list.ajax.reload(null, false);
			} else {
				v_list.ajax.reload();
			}
		}
	);
	var _customizeExcelOptions = function (xlsx) {
		var sheet = xlsx.xl.worksheets['sheet1.xml'];
		var numrows = 5;
		var clR = $('row', sheet);
		clR.each(function () {
			var attr = $(this).attr('r');
			var ind = parseInt(attr);
			ind = ind + numrows;
			$(this).attr("r", ind);
		});
		$('row c ', sheet).each(function () {
			var attr = $(this).attr('r');
			var pre = attr.substring(0, 1);
			var ind = parseInt(attr.substring(1, attr.length));
			ind = ind + numrows;
			$(this).attr("r", pre + ind);
		});
		function Addrow(index, data) {
			var msg = '<row r="' + index + '">'
			for (var i = 0; i < data.length; i++) {
				var key = data[i].key;
				var value = data[i].value;
				msg += '<c t="inlineStr" r="' + key + index + '">';
				msg += '<is>';
				msg += '<t>' + value + '</t>';
				msg += '</is>';
				msg += '</c>';
			}
			msg += '</row>';
			return msg;
		}
		var r1 = Addrow(1, [{key: 'F', value: "reportType"}]);
		var r2 = Addrow(2, [{key: 'E', value: "pdfHeaderDateRange"}]);
		var r3 = Addrow(3, [{key: 'B', value: "pdfMessage"}]);
		sheet.childNodes[0].childNodes[1].innerHTML = r1 + r2 + r3 + sheet.childNodes[0].childNodes[1].innerHTML;
	}
	function generate_filter_data_report() {
		var locations = "";
		$("#select2-agency_filter-container li").each(function (index) {
			if (index == 0) {
				locations += "<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_LOCATION_TEXT_PNLY'); ?>";
			}
			if (index != 0) {
				locations += ",";
			}
			locations += $(this).attr("title");
		});
		var payment_methods = "";
		$("#select2-status_filter-container li").each(function (index) {
			if (index == 0) {
				if (locations != '') {
					payment_methods += " | ";
				}
				payment_methods += "<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_PAYMENT_METHOD'); ?>";
			}
			if (index != 0) {
				payment_methods += ",";
			}
			payment_methods += $(this).attr("title");
		});
		var user_id_name = "";
		$("#select2-division_filter-container li").each(function (index) {
			if (index == 0) {
				if (payment_methods != '' || locations != '') {
					user_id_name += " | ";
				}
				user_id_name += "<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_USER_NAME_TEXT_ONLY'); ?>";
			}
			if (index != 0) {
				user_id_name += ",";
			}
			user_id_name += $(this).attr("title");
		});
		var date_range_dates = "";
		if ($.trim($("#date_range_dates").val()) != "") {
			if (payment_methods != '' || locations != '' || user_id_name != '') {
				date_range_dates = " | ";
			}
			date_range_dates += "<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_DATE_RANGE_TEXT_ONLY'); ?>";
			date_range_dates += $("#date_range_dates").val();
		}
		if (locations == "" && payment_methods == "" && user_id_name == "" && date_range_dates == "") {
			return "";
		} else {
			return "Filters: " + locations + "" + payment_methods + "" + user_id_name + "" + date_range_dates;
		}
	}
	function newExportAction(e, dt, button, config) {
		var self = this;
		var oldStart = dt.settings()[0]._iDisplayStart;
		dt.one('preXhr', function (e, s, data) {
			data.start = 0;
			data.length = 2147483647;
			dt.one('preDraw', function (e, settings) {
				if (button[0].className.indexOf('buttons-copy') >= 0) {
					$.fn.dataTable.ext.buttons.copyHtml5.action.call(self, e, dt, button, config);
				} else if (button[0].className.indexOf('buttons-excel') >= 0) {
					$.fn.dataTable.ext.buttons.excelHtml5.available(dt, config) ?
						$.fn.dataTable.ext.buttons.excelHtml5.action.call(self, e, dt, button, config) :
						$.fn.dataTable.ext.buttons.excelFlash.action.call(self, e, dt, button, config);
				} else if (button[0].className.indexOf('buttons-csv') >= 0) {
					$.fn.dataTable.ext.buttons.csvHtml5.available(dt, config) ?
						$.fn.dataTable.ext.buttons.csvHtml5.action.call(self, e, dt, button, config) :
						$.fn.dataTable.ext.buttons.csvFlash.action.call(self, e, dt, button, config);
				} else if (button[0].className.indexOf('buttons-pdf') >= 0) {
					$.fn.dataTable.ext.buttons.pdfHtml5.available(dt, config) ?
						$.fn.dataTable.ext.buttons.pdfHtml5.action.call(self, e, dt, button, config) :
						$.fn.dataTable.ext.buttons.pdfFlash.action.call(self, e, dt, button, config);
				} else if (button[0].className.indexOf('buttons-print') >= 0) {
					$.fn.dataTable.ext.buttons.print.action(e, dt, button, config);
				}
				dt.one('preXhr', function (e, s, data) {
					settings._iDisplayStart = oldStart;
					data.start = oldStart;
				});
				setTimeout(dt.ajax.reload, 0);
				return false;
			});
		});
		dt.ajax.reload();
	};
	function search() {
		v_list.ajax.reload();
	}
	function export_to(export_name) {
		$(".buttons-" + export_name).trigger("click");
	}
	function reset_search() {
		$('#date_range_dates').val('');
		$("#user_filter").val(null).trigger("change");
		$("#agency_filter").val(null).trigger("change");
		$("#function_filter").val(null).trigger("change");
		$("label.filter_label_select_class").attr('style', 'border: 1px solid #6c757d !important;color: gray !important;font-weight: normal !important;');
		$(".category_name_arrow,.location_name_arrow,.location_name_arrow_report_status,.status_filter_arrow").css("color", "gray");
		$(".category_name_arrow,.location_name_arrow,.location_name_arrow_report_status,.status_filter_arrow").addClass("fa-chevron-down");
		$(".category_name_arrow,.location_name_arrow,.location_name_arrow_report_status,.status_filter_arrow").removeClass("fa-chevron-up");
		$(".category_label").html("User Name");
		$(".locations_label").html("Agency Name");
		$(".locations_label_report_status").html("Status");
		$(".status_label").html("Function");
		$('#select2_container_category_filter').hide(500);
		$('#select2_container_location_filter').hide(500);
		$('#select2_container_location_filter_report_filter').hide(500);
		$('#select2_container_status_filter').hide(500);
		$('#user_filter').select2('close');
		is_open_category = 0;
		is_open_location = 0;
		is_open_status = 0;
		v_list.ajax.reload();
	}
	var d = new Date();
	var month = d.getMonth() + 1;
	var day = d.getDate();
	var output = d.getFullYear() + '/' +
		(('' + month).length < 2 ? '0' : '') + month + '/' +
		(('' + day).length < 2 ? '0' : '') + day;
	$(function () {
		$("#date_range").flatpickr(
			{
				mode: "range",
				dateFormat: "Y-m-d",
				onChange: function (selectedDates, dateStr, instance) {
					$("#date_range_dates").val(dateStr);
					v_list.ajax.reload();
				}
			}
		);
	});
</script>