<?php \I::load_error("MESSAGE"); ?>
	<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
		<div class="container-fluid">
			<div class="row mb-2">
				<div class="col-sm-12 breadcrumb_container">
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('USER_BREADCRUMB_HOME'); ?>
					</a> /
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('USER_BREADCRUMB_SETUP_CONFIGURATION'); ?>
					</a> /
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user_account_maintenance', 'list'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('USER_BREADCRUMB_USER_ACC_MAINTENANCE'); ?>
					</a> /
					<?php echo \E::get('obj_curr_module_lang')->get('USER_BREADCRUMB_USER_PROFILE'); ?>
				</div>
				<div class="col-sm-12 pl-3 pt-3">
					<h5 class="m-0 pb-0 module_name"><?php echo \E::get('obj_curr_module_lang')->get('USER_PROFILE_COMP_NAME'); ?></h5>
				</div>
			</div>
		</div>
	</div>
	<hr/>
	<form id="frm_acl" name="frm_acl" method="post" enctype="multipart/form-data">
		<?php
		if (isset($v_id) && $v_id != '') {
			\I::create_input('hidden', 'id', 'id', \U::safe_display_string(isset($v_id) ? $v_id : ""), 'text', 'style="width:400px;" ', '');
		}
		?>
		<div class="row form-group">
			<label for="usr_name" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_NAME'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="form-control compulsory" name="usr_name" id="usr_name" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_NAME'); ?>" value="<?php echo \U::safe_display_string(isset($v_usr_name) ? $v_usr_name : ""); ?>">
				<input type="hidden" name="ldap_user_verified" id="ldap_user_verified" value="">
				<span class="text-danger" id="username_duplicate_check"></span>
			</div>
			<div class="col-sm-5">
				<button type="button" class="btn btn-primary" onclick="validate_ldap_user_func();">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_BREADCRUMB_USER_VALIDATE_BTN_TEXT'); ?>
				</button>
				<br/>
				<span class="text-danger" id="validate_ldap"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_short_name" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_COMP_NAME_ONLY'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="form-control compulsory" name="usr_short_name" id="usr_short_name" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_COMP_NAME_ONLY'); ?>" value="<?php echo \U::safe_display_string(isset($v_usr_short_name) ? $v_usr_short_name : ""); ?>" <?php if ($v_mode != 'add') echo "readonly"; ?>>
			</div>
		</div>
		<div class="row form-group">
			<label for="user_ic_no" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_IC_NO'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<div class="input-group mb-3">
					<div class="input-group-prepend col-md-3 p-0">
						<button class="btn btn-outline-secondary dropdown-toggle col-md-12" id="btn_mykad_text" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><?php echo \E::get('obj_curr_module_lang')->get('USER_MYKAD'); ?></button>
					</div>
					<input type="hidden" name="my_kad_valu" id="my_kad_valu" value="<?php echo \E::get('obj_curr_module_lang')->get('USER_MYKAD'); ?>">
					<input type="text" class="form-control compulsory" name="user_ic_no" id="user_ic_no" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_IC_NO_PLACEHOLDER'); ?>" value="<?php echo \U::safe_display_string(isset($v_user_ic_no) ? $v_user_ic_no : ""); ?>" <?php if ($v_mode != 'add') echo "readonly"; ?>>
					<span class="text-danger" id="ic_no_duplicate_check"></span>
				</div>
			</div>
		</div>
		<?php $v_gender = \U::safe_display_string(isset($v_gender) ? $v_gender : ""); ?>
		<div class="row form-group">
			<label for="gender" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_GENDER'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-8">
				<div class="row">
					<div class="col-md-2 report_type_each_row">
						<input class="sarawak_main_radio_options" type="radio" name="gender" value="male" id="male" required <?php if ($v_gender == "male") {
							echo "checked";
						} ?> >
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="male">
							<?php echo \E::get('obj_curr_module_lang')->get('USER_GENDER_MALE'); ?>
						</label>
					</div>
					<div class="col-md-2 report_type_each_row">
						<input class="sarawak_main_radio_options" type="radio" name="gender" value="female" id="female" required <?php if ($v_gender == "female") {
							echo "checked";
						} ?>>
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="female">
							<?php echo \E::get('obj_curr_module_lang')->get('USER_GENDER_FEMALE'); ?>
						</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_phone" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_CONTACT_NO'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="number" class="form-control compulsory" name="usr_phone" id="usr_phone" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_CONTACT_NO'); ?>" value="<?php echo \U::safe_display_string(isset($v_usr_phone) ? $v_usr_phone : ""); ?>" maxlength="12" required>
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_email" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_MAIL'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="form-control compulsory email " name="usr_email" id="usr_email" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_MAIL'); ?>" value="<?php echo \U::safe_display_string(isset($v_usr_email) ? $v_usr_email : ""); ?>">
				<span class="error d-none-ni" id="wrong_email">Invalid email.</span>
			</div>
		</div>



		<?php $v_user_agency_name_added = \U::safe_display_string(isset($v_user_agency_name) ? $v_user_agency_name : ""); ?>
		<div class="row form-group" id="user_agency_name_container">
			<label for="user_agency_name" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_AGENCY_NAME'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<select class="form-control compulsory" id="user_agency_name" name="user_agency_name" onchange="get_agency_locations();get_agency_user_roles();">
					<option value=""></option>
					<?php
					if (isset($v_agency_dta) && count($v_agency_dta) > 0) {
						foreach ($v_agency_dta as $v_key => $v_agency_dta) {
							if ($v_user_agency_name_added == $v_agency_dta['ag_id']) { ?>
								<option selected value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							}
						}
					}
					?>
				</select>
			</div>
		</div>

		<?php $v_user_location_name_added = \U::safe_display_string(isset($v_user_location_name) ? $v_user_location_name : ""); ?>
		<div class="row form-group" id="user_location_name_container">
			<label for="user_location_name" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_LOCATION_NAME_SALES'); ?></label>
			<div class="col-sm-5">
				<select class="form-control" id="user_location_name" name="user_location_name" onchange="show_location_administrator(this.value);">
					<option value=""></option>
				</select>
				<div class="location_administrator_container">
					<input type="checkbox" name="location_administraotr" id="location_administraotr" value="1" class="location_administraotr">
					<span class="location_admin_span"><?php echo \E::get('obj_curr_module_lang')->get('USER_LOCATION_ADMINISTRATOR'); ?></span>
				</div>
			</div>
		</div>

		<?php $v_user_role_add = \U::safe_display_string(isset($v_user_role) ? $v_user_role : ""); ?>
		<div class="row form-group">
			<label for="user_role" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<select class="form-control compulsory" id="user_role" name="user_role" onchange="getUserRoleType()">
					<option value=""></option>
					<?php
					if (isset($v_user_roles) && count($v_user_roles) > 0) {
						foreach ($v_user_roles as $v_key => $v_each_role) {
							if ($v_user_role_add == $v_each_role['id']) { ?>
								<option selected data-user_type_id="<?php echo \U::safe_display_string($v_each_role['role_type']); ?>" value="<?php echo \U::safe_display_string($v_each_role['id']); ?>"><?php echo \U::safe_display_string($v_each_role['name']); ?></option>
								<?php
							} else { ?>
								<option data-user_type_id="<?php echo \U::safe_display_string($v_each_role['role_type']); ?>" value="<?php echo \U::safe_display_string($v_each_role['id']); ?>"><?php echo \U::safe_display_string($v_each_role['name']); ?></option>
								<?php
							}
						}
					}
					?>
				</select>
			</div>
		</div>
		<input type="hidden" name="user_role_type" id="user_role_type" value="">
		
		

		
		<?php $v_user_status_added = \U::safe_display_string(isset($v_user_status) ? $v_user_status : ""); ?>
		<div class="row form-group">
			<label for="user_status" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_STATUS_TEXT'); ?> </label>
			<div class="col-sm-5">
				<select class="form-control" id="user_status" name="user_status">
					<option value=""></option>
					<option value="1" <?php if (\U::safe_display_string($v_user_status_added) == "1") {
						echo "selected";
					} ?> ><?php echo \E::get('obj_curr_module_lang')->get('USER_STATUS_ACTIVE'); ?></option>
					<option value="0" <?php if (\U::safe_display_string($v_user_status_added) == "0") {
						echo "selected";
					} ?>><?php echo \E::get('obj_curr_module_lang')->get('USER_STATUS_INACTIVE'); ?></option>
				</select>
			</div>
		</div>
		<div class="row">
			<div class="col-md-2"></div>
			<div class="col-md-5 text-center">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list'); ?>">
					<button type="button" class="btn btn-default w-auto-im">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_BACK_TO_LISTING'); ?>
					</button>
				</a>
				<a href="javascript:void(0)" onclick="check_validations()">
					<button type="button" class="btn btn-primary" id="submit_form">
						<?php echo \E::get('obj_kernel_lang')->get('BTN_SAVE'); ?>
					</button>
				</a>
			</div>
		</div>
	</form>
	<script language="javascript">
		function get_agency_user_roles() {
			var v_agency_id = $("#user_agency_name").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_agency_id_get_roles=' + escape(v_agency_id);
			var v_response = makeGETRequest(v_url, 'user_role', 'after_roles_load', 'false');
		}
		function after_roles_load(response) {
			$("#user_role").html(response);
		}
		function get_agency_locations() {
			var v_agency_id = $("#user_agency_name").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_agency_id=' + escape(v_agency_id);
			var v_response = makeGETRequest(v_url, 'user_location_name', 'after_locationns_load', 'false');
		}
		function after_locationns_load(response) {
			$("#user_location_name").html(response);
		}
		function check_validations() {
			if (validate(document.frm_acl)) {
				var emailPattern = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;
				if (emailPattern.test($("#usr_email").val()) == true) {
					$("#submit_form").prop("disabled", true);
					var v_username = $("#usr_name").val();
					var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'code_validate_ajax'); ?>';
					var v_url = v_list_url + '?v_username=' + escape(v_username) + '&v_action=add';
					var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', '', '', '');
				} else {
					$("#wrong_email").show();
				}
			}
		}
		function after_load() {
			var v_check_error_found = $('#duplication_error_found').val();
			if (v_check_error_found != 1) {
				$("#submit_form").prop("disabled", true);
				var v_user_ic_no = $("#user_ic_no").val();
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_user_ic_no=' + escape(v_user_ic_no) + '&v_action=add';
				var v_response = makeGETRequest(v_url, 'ic_no_duplicate_check', 'after_load_IC', '', '', '');
			} else {
				$('#usr_name').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function after_load_IC() {
			var v_check_error_found_ic = $('#duplication_ic_no_error_found').val();
			if (v_check_error_found_ic != 1) {
				document.frm_acl.submit();
			} else {
				$('#user_ic_no').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function getmykad(e) {
			if ($(e).html()) {
				$("#btn_mykad_text").html($(e).html());
				$("#my_kad_valu").val($(e).html());
			}
		}
		$('#btn_mykad_text').addClass('without-after-element');
		$(function () {
			var txt = $("#usr_name");
			var func = function () {
				txt.val(txt.val().replace(/[^a-z0-9.\s]/gi, '').replace(/[_\s]/g, '-'));
				txt.val(txt.val().replace(/\s/g, ''));
			}
			txt.keyup(func).blur(func);
		});
		var number = document.getElementById('usr_phone');
		number.onkeyup = function (e) {
			if (!((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 47 && e.keyCode < 58) || e.keyCode == 8 || e.keyCode == 187)) {
				return false;
			} else {
				var max_chars = 11;
				if ($(this).val().length > max_chars) {
					$(this).val($(this).val().substr(0, max_chars));
				}
			}
		}
		$(function () {
			var txt = $("#usr_short_name");
			var func = function () {
				txt.val(txt.val().replace(/[^a-z'\s]/gi, ''));
			}
			txt.keyup(func).blur(func);
		});
		function getUserRoleType() {
			var user_role_type_id = $("#user_role option:selected").data("user_type_id");
			$("#user_role_type").val(user_role_type_id);
			if (parseInt(user_role_type_id) == 2) {
				$("#user_agency_name_container").hide();
				$("#user_location_name_container").hide();
				$("#user_agency_name").removeClass("compulsory");
				$("#user_agency_name option:selected").removeAttr('selected');
				$("#user_agency_name").prop("selectedIndex", 0);
				$("#user_location_name option:selected").removeAttr('selected');
				$("#user_location_name").prop("selectedIndex", 0);
				$("#location_administraotr").prop("checked", false);
				$(".location_administrator_container").hide();
			} else {

				$("#user_agency_name_container").show();
				$("#user_location_name_container").show();
				$("#user_agency_name").addClass("compulsory");
			}
		}
		function validate_ldap_user_func() {
			var v_user_name = $("#usr_name").val();
			if ($.trim(v_user_name) != "") {
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_user_name=' + escape(v_user_name);
				var v_response = makeGETRequest(v_url, 'validate_ldap', 'after_load_validate', '', '', '');
			} else {
				Swal.fire({
					title: '<font  class="title_heading"> User Name is required </font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				$("#validate_ldap").html("");
			}
		}
		function after_load_validate(response) {
			var result = response.split(',');
			if (result[0] && !result[1]) {
				if (result[0] == 'exists') {
					$("#validate_ldap").html("User name already exists");
				} else if (result[0] == 'not_found') {
					$("#validate_ldap").html("User name not found in LDAP");
				}
				$("#usr_short_name").val("");
				$("#usr_email").val("");
				$("#user_ic_no").val("");
				$("#usr_short_name").attr("readonly", false);
				$("#usr_email").attr("readonly", false);
				$("#user_ic_no").attr("readonly", false);
				$("#ldap_user_verified").val("");
			} else if (result[0] && result[1]) {
				$("#usr_short_name").val(result[0]);
				$("#usr_email").val(result[1]);
				$("#user_ic_no").val(result[2]);
				$("#validate_ldap").html("");
				$("#usr_short_name").attr("readonly", true);
				$("#usr_email").attr("readonly", true);
				$("#user_ic_no").attr("readonly", true);
				$("#ldap_user_verified").val(1);
			}
		}
		$('#user_ic_no').keyup(function (e) {
			$(this).val($(this).val().replace(/[^0-9-]/gi, ''));
		});
		function show_location_administrator(selected_value) {
			if ($.trim(selected_value) == "") {
				$("#location_administraotr").prop("checked", false);
				$(".location_administrator_container").hide();
			} else {
				$(".location_administrator_container").show();
			}
		}
		$(document).on("focusin", "#usr_email", function () {
			if ($.trim($("#usr_email").val()) != "") {
				if (check_email()) {
					$("#wrong_email").hide();
				} else {
					$("#wrong_email").show();
				}
			}
		});
		$(document).on("focusout", "#usr_email", function () {
			if ($.trim($("#usr_email").val()) != "") {
				if (check_email()) {
					$("#wrong_email").hide();
				} else {
					$("#wrong_email").show();
				}
			}
		});
		function check_email() {
			var emailPattern = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;
			if (emailPattern.test($("#usr_email").val()) == true) {
				return true;
			} else {
				return false;
			}
		}
	</script>
<?php
\I::load_error();
?>