<?PHP \I::load_error("MESSAGE"); ?>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_SETUP_CONFIGURATION'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user_account_maintenance', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_USER_ACC_MAINTENANCE'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_HEADING'); ?>
			</div>
			<div class="col-sm-12 pl-3 pt-3">
				<h5 class="m-0 text-dark pb-0">
					<?php
					if ($v_controller_name == "view") {
						echo \E::get('obj_curr_module_lang')->get('USER_ROLE_HEADING_ADD_NEW');
					} else {
						echo \E::get('obj_curr_module_lang')->get('USER_ROLE_HEADING_ADD_EDIT');
					}
					?>
				</h5>
			</div>
		</div>
	</div>
</div>
<form id="frm_acl" name="frm_acl" method="post" enctype="multipart/form-data">
	<div class="row form-group">
		<label for="role_name" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_NAME'); ?>
			<span class="text-danger">*</span></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control compulsory" name="role_name" id="role_name" value="<?php echo \U::safe_display_string(isset($v_role_name) ? $v_role_name : ""); ?>" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_NAME_PLACEHOLDER'); ?>"/>
			<span class="text-danger" id="username_duplicate_check"></span>
		</div>
	</div>
	<div class="row form-group">
		<label for="role_description" class="col-sm-2 col-form-label">  <?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_DESCRIPTION'); ?>
			<span class="text-danger">*</span></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control compulsory" name="role_description" id="role_description" value="<?php echo \U::safe_display_string(isset($v_role_description) ? $v_role_description : ""); ?>" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_DESCRIPTION_PLACEHOLDER'); ?>"/>
			<span class="custom_role_description" id="role_description_validate"><?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_DESCRIPTION_REQ'); ?></span>
		</div>
	</div>
	<div class="row form-group">
		<label for="role_type" class="col-sm-2 col-form-label">  <?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_TYPE'); ?>
			<span class="text-danger">*</span> </label>
		<?php $v_role_type_added = \U::safe_display_string(isset($v_role_type) ? $v_role_type : ""); ?>
		<div class="col-sm-8">
			<select name="role_type" id="role_type" class="form-control compulsory" onchange="change_enable_disable(this.value);">
				<option value=""></option>
				<?php
				if (isset($v_user_types)) {
					foreach ($v_user_types as $v_list) {
						if ($v_role_type_added == $v_list['id']) { ?>
							<option selected value="<?php echo \U::safe_display_string($v_list['id']); ?>"><?php echo \U::safe_display_string($v_list['key_value']); ?></option>
							<?php
						} else { ?>
							<option value="<?php echo \U::safe_display_string($v_list['id']); ?>"><?php echo \U::safe_display_string($v_list['key_value']); ?></option>
							<?php
						}
					}
				} ?>
			</select>
		</div>
	</div>
	<?php
		$v_logged_in_user_type = \E::get_session("logged_in_user_type");
		if( $v_logged_in_user_type == "2" ) { ?>
			<div class="row form-group">
				<label for="role_type" class="col-sm-2 col-form-label">  <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_AGENCY_NAME'); ?>
					<span class="text-danger">*</span> </label>
				<?php $v_role_type_added = \U::safe_display_string(isset($v_role_type) ? $v_role_type : ""); ?>
				<div class="col-sm-8">
					<select class="user_name form-control" name="agency_id" id="agency_filter" required="">
						<?php
						if (isset($v_agency_dta) && count($v_agency_dta) > 0) {
							foreach ($v_agency_dta as $v_key => $v_agency_each) { ?>
								<option value="<?php echo \U::safe_display_string($v_agency_each['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_each['ag_name']); ?></option>
								<?php
							}
						}
						?>
					</select>
				</div>
			</div>
			<?php
		} else {?>
			<select name="v_agency_id" id="agency_filter" style="display: none;">
					<option selected value="<?php echo \E::get_session("c_user_agency_id");?>">
						<?php echo \E::get_session("c_user_agency_id");?>
					</option>
			</select>
		<?php
		}
	?>

	<div class="row form-group">
		<label for="role_status" class="col-sm-2 col-form-label">  <?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_STATUS'); ?></label>
		<?php $v_role_status_added = \U::safe_display_string(isset($v_role_status) ? $v_role_status : ""); ?>
		<div class="col-sm-8 ">
			<select name="role_status" id="role_status" class="form-control">
				<option value="1" <?php if ($v_role_status_added == "1") {
					echo "selected";
				} ?>><?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_STATUS_ACTIVE'); ?></option>
				<option value="0" <?php if ($v_role_status_added == "0") {
					echo "selected";
				} ?>><?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_STATUS_INACTIVE'); ?></option>
			</select>
		</div>
	</div>
	<div class="row form-group">
		<label for="role_remarks" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_REMARKS'); ?></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control" name="role_remarks" id="role_remarks" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_REMARKS_PLACEHOLDER'); ?>" value="<?php echo \U::safe_display_string(isset($v_role_remarks) ? $v_role_remarks : ""); ?>"/>
		</div>
	</div>
	<hr>
	<table id="tbl_responsive " cellpadding="0" cellspacing="0" border="0" class="table table_list">
		<thead>
		<tr class="no_border_custom">
			<th class="no_border_custom">
				<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_ACCESS_RIGHTS'); ?>
			</th>
			<th class="no_border_custom roles_td_heading" style="display: flex;align-items: center;justify-content: center;">
				<input type="checkbox" class="all_checked_unchecked" onclick="all_checked_unchecked();" style="margin-right: 11px;"> Select All
			</th>
			<th colspan="4" class="no_border_custom">
				<span class="eticket_drop_down collapsed agency_down_up" data-toggle="collapse" data-target="#demo" onclick="change_list(1)"><i class="fas fa-chevron-down"></i></span>
				<span class="eticket_drop_up collapsed agency_down_arrow" data-toggle="collapse" data-target="#demo" onclick="change_list(0)"><i class="fas fa-chevron-up"></i></span>
			</th>
		</tr>
		</thead>
		<tbody id="demo" class="collapse show">
		<tr class="no_border_custom">
			<th width="30%" class="no_border_custom">
			</th>
			<th width="15%" class="roles_td_heading">
				<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_VIEW'); ?>
			</th>
			<th width="15%" class="roles_td_heading">
				<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_ADD'); ?>
			</th>
			<th width="15%" class="roles_td_heading">
				<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_UPDATE'); ?>
			</th>
			<th width="15%" class="roles_td_heading">
				<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_DELETE'); ?>
			</th>
		</tr>
		<?php
		if (isset($v_module_lists) && $v_module_lists !== NULL) {
			foreach ($v_module_lists as $v_list) {
				$v_margin_left = '15px;';
				$v_margin_left_sub = '0px;';
				if ($v_list['name'] == 'Reports' || $v_list['name'] == 'User Account Maintenance' || $v_list['name'] == 'Agency Maintenance' || $v_list['name'] == 'Ticket Profile & Template') {
					$v_margin_left = '25px;';
					$v_margin_left_sub = '15px;';
				}
				if ($v_list['name'] == 'Reports') {
					?>
					<tr class="no_border_custom">
						<td class="no_border_custom">
							<strong>
								<span><?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_SETUP_CONFIGURATION'); ?></span>
							</strong>
						</td>
					</tr>
				<?php } ?>
				<tr class="no_border_custom">
					<td class="no_border_custom">
						<strong>
							<span style=" margin-left: <?php echo $v_margin_left_sub; ?> "><?php echo $v_list['name'] ?></span>
						</strong>
					</td>
				</tr>
				<?php
				if (isset($v_list['items']) && $v_list['items'] !== NULL) {
					foreach ($v_list['items'] as $v_items) {
						?>
						<tr class="no_border_custom">
							<td class="no_border_custom">
								<span style="margin-left: <?php echo $v_margin_left; ?>"><?php echo $v_items['name'] ?></span>
								<?php
								$admin_class = "";
								$agency_staff_class = "";
								if ($v_items['id'] == 1 || $v_items['id'] == 2 || $v_items['id'] == 3 || $v_items['id'] == 4 || $v_items['id'] == 9 || $v_items['id'] == 10 || $v_items['id'] == 11 || $v_items['id'] == 12) {
									$admin_class = "enable_disabled";
								}
								if ($v_items['id'] == 7) {
									$agency_staff_class = "enable_disabled_agency_staff";
								}
								?>
								<input type="hidden" name="<?php echo str_replace(' ', '_', $v_items['name']); ?>" value="<?php echo \U::safe_display_string($v_items['id']); ?>">
							</td>
							<td data-title="<?php echo \E::get('obj_system_lang')->get('USER_ROLE_VIEW'); ?>" class="roles_td_heading">
								<input type="checkbox" class="all_checkbox_class <?php echo $admin_class; ?>" value="1" name="module_view_<?php echo $v_items['id']; ?>" id="module_view_<?php echo $v_items['id']; ?>" onclick="">
							</td>
							<td data-title="<?php echo \E::get('obj_system_lang')->get('USER_ROLE_ADD'); ?>" class="roles_td_heading">
								<?php
								if ($v_items['id'] != 1 && $v_items['id'] != 2 && $v_items['id'] != 3 && $v_items['id'] != 4 && $v_items['id'] != 13) {
									?>
									<input type="checkbox" class="all_checkbox_class <?php echo $admin_class; ?> <?php echo $agency_staff_class; ?>" value="1" name="module_add_<?php echo $v_items['id']; ?>" id="module_add_<?php echo $v_items['id']; ?>" onclick=""/>
									<?php
								}
								?>
							</td>
							<td data-title="<?php echo \E::get('obj_system_lang')->get('USER_ROLE_UPDATE'); ?>" class="roles_td_heading">
								<?php
								if ($v_items['id'] != 1 && $v_items['id'] != 2 && $v_items['id'] != 3 && $v_items['id'] != 4 && $v_items['id'] != 13) {
									?>
									<input type="checkbox" class="all_checkbox_class <?php echo $admin_class; ?>" value="1" name="module_edit_<?php echo $v_items['id']; ?>" id="module_edit_<?php echo $v_items['id']; ?>" onclick=""/>
									<?php
								}
								?>
							</td>
							<td data-title="<?php echo \E::get('obj_system_lang')->get('USER_ROLE_DELETE'); ?>" class="roles_td_heading">
								<?php
								if ($v_items['id'] != 1 && $v_items['id'] != 2 && $v_items['id'] != 3 && $v_items['id'] != 4 && $v_items['id'] != 13) {
									?>
									<input type="checkbox" class="all_checkbox_class <?php echo $admin_class; ?> <?php echo $agency_staff_class; ?>" value="1" name="module_delete_<?php echo $v_items['id']; ?>" id="module_delete_<?php echo $v_items['id']; ?>"/>
									<?php
								}
								?>
							</td>
						</tr>
						<?php
					}
				}
			}
		} ?>
		</tbody>
	</table>
	<div class="form-group ">
		<div class=" offset-5">
			<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user_role', 'list'); ?>" class="btn btn btn-outline-secondary w-auto" role="button">
				&nbsp;<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BACK_TO_LISTING'); ?>
			</a>
			<input type="button" value="Save" id="submit_form" onclick="check_validations()" class="btn btn-info width-135px" role="button">
		</div>
	</div>
	<?PHP
	\I::load_error();
	?>
</form>
<script>
	function change_enable_disable(selected_value) {
		var selected_value = parseInt($("#role_type option:selected").val());
		if (selected_value == 1) {
			$(".enable_disabled_agency_staff").prop("disabled", true);
			$(".enable_disabled").prop("disabled", false);
			$(".enable_disabled_agency_staff").each(function (index) {
				$(".enable_disabled_agency_staff").prop("checked", false);
			});
		} else if (selected_value == 2) {
			$(".enable_disabled_agency_staff").prop("disabled", false);
			$(".enable_disabled").prop("disabled", true);
			$(".enable_disabled_agency_staff").each(function (index) {
				$(".enable_disabled").prop("checked", false);
			});
		}
	}
	function check_validations() {
		if (validate(document.frm_acl)) {
			$("#submit_form").prop("disabled", true);
			var v_role_name = $("#role_name").val();
			var v_agency_id = $("#agency_filter option:selected").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user_role', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_role_name=' + escape(v_role_name) + '&v_action=add&v_agency_id=' + escape(v_agency_id);
			var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', '', '', '');
		}
	}
	function after_load(response) {
		var v_check_error_found = $('#duplication_error_found').val();
		if (v_check_error_found != 1) {
			document.frm_acl.submit();
		} else {
			$('#role_name').focus();
			$("#submit_form").prop("disabled", false);
		}
	}
	$(document).ready(
		function () {
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if($v_session_msg_title != '' && $v_session_msg != ''){
			?>
			Swal.fire({
				icon: '<?php echo isset($v_session_msg_status) ? $v_session_msg_status : 'error';?>',
				title: '<?php echo $v_session_msg_title;?>',
				html: '<?php echo $v_session_msg;?>',
				customClass: {
					confirmButton: "bg-primary"
				}
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
		}
	);
	function submit_form() {
		document.getElementById("frm_role").submit();
	}
	function change_list($value) {
		if ($value == 1) {
			$('.eticket_drop_down').css('display', 'none');
			$('.eticket_drop_up').css('display', 'block');
		} else {
			$('.eticket_drop_down').css('display', 'block');
			$('.eticket_drop_up').css('display', 'none');
		}
	}	
	function all_checked_unchecked(){
		var role_type = $("#role_type option:selected").val();
		$('.all_checkbox_class').each(function(index, value) {
			if( $(".all_checked_unchecked").prop("checked") == true ) {
				if( role_type == 2 ) {
					if( $(this).hasClass("enable_disabled") ) {
				  	} else {
				  		$(this).prop("checked", true);
				  	}
				} else if( role_type == 1 ) {
					if( $(this).hasClass("enable_disabled_agency_staff") ) {
				  	} else {
				  		$(this).prop("checked", true);
				  	}
				} else {
					$(this).prop("checked", true);
				}
			} else {
				$(this).prop("checked", false);
			}
		});
	}
</script>