<?php \I::load_error("MESSAGE");
$v_access_delete = \E::get('obj_curr_module')->ajax_validation_check_permission('delete');
$v_access_edit = \E::get('obj_curr_module')->ajax_validation_check_permission('edit');
$v_readoilny_status = "";
$v_edit_process_path = "";
$v_readoilny_status_checkboxes = "";
if (isset($v_controller_name) && $v_controller_name == "view") {
	$v_readoilny_status = "readonly ";
	$v_readoilny_status_checkboxes = " onclick='return false;' style='cursor:not-allowed;' ";
	$v_controller_name = $v_controller_name;
} else {
	$v_edit_process_path = \E::get('obj_curr_module')->build_action_path('user_role', 'edit', $v_id);
	$v_controller_name = "";
}
?>
	<form id="frm_acl" action="<?php echo $v_edit_process_path; ?>" name="frm_acl" method="post" enctype="multipart/form-data">
		<input type="hidden" name="old_value" value='<?php echo json_encode($v_user_info); ?>'>
		<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
			<div class="container-fluid">
				<div class="row mb-2">
					<div class="col-sm-12 breadcrumb_container">
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_HOME'); ?>
						</a> /
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_SETUP_CONFIGURATION'); ?>
						</a> /
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user_account_maintenance', 'list'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_USER_ACC_MAINTENANCE'); ?>
						</a> /
						<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_BREADCRUMB_USER_PROFILE'); ?>
					</div>
					<div class="col-sm-12 pl-3 pt-3">
						<h5 class="m-0 pb-0 module_name">
							<?php
							if ($v_controller_name == "view") {
								echo \E::get('obj_curr_module_lang')->get('USER_ROLE_HEADING_ADD_NEW');
							} else {
								echo \E::get('obj_curr_module_lang')->get('USER_ROLE_HEADING_ADD_EDIT');
							}
							?>
						</h5>
					</div>
				</div>
			</div>
		</div>
		<hr/>
		<?php
		$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-' . $v_id);
		if ($v_session_msg != '') {
			?>
			<div class="alert alert-primary alert-dismissible" role="alert">
				<?PHP echo $v_session_msg; ?>
				<button type="button" class="close" data-dismiss="alert" aria-label="Close">
					<span aria-hidden="true">×</span>
				</button>
			</div>
			<?php \E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-' . $v_id);
		} ?>
		<div class="row form-group">
			<label for="role_name" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_NAME'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="text form-control compulsory" name="role_name" id="role_name" value="<?php echo \U::safe_display_string(isset($v_user_info['name']) ? $v_user_info['name'] : ""); ?>" <?php echo $v_readoilny_status; ?> />
				<span class="text-danger" id="username_duplicate_check"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="role_description" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_DESCRIPTION'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="text form-control compulsory" name="role_description" id="role_description" value="<?php echo \U::safe_display_string(isset($v_user_info['description']) ? $v_user_info['description'] : ""); ?>" <?php echo $v_readoilny_status; ?> />
				<span class="custom_role_description" id="role_description_validate"><?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_DESCRIPTION_REQ'); ?></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="role_type" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_TYPE'); ?>
				<span class="text-danger">*</span> </label>
			<div class="col-sm-5">
				<select name="role_type" id="role_type" class="form-control compulsory" <?php echo $v_readoilny_status; ?> onchange="change_enable_disable(this.value);">
					<option value=""></option>
					<?php
					if (isset($v_user_types)) {
						foreach ($v_user_types as $v_list) {
							if ($v_user_info['role_type'] == $v_list['id']) { ?>
								<option selected value="<?php echo \U::safe_display_string($v_list['id']); ?>"><?php echo \U::safe_display_string($v_list['key_value']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($v_list['id']); ?>"><?php echo \U::safe_display_string($v_list['key_value']); ?></option>
								<?php
							}
						}
					} ?>
				</select>
			</div>
		</div>

		<?php
			$v_logged_in_user_type = \E::get_session("logged_in_user_type");
			if( $v_logged_in_user_type == "2" ) { ?>
				<div class="row form-group">
					<label for="role_type" class="col-sm-2 col-form-label">  <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_AGENCY_NAME'); ?>
						<span class="text-danger">*</span> </label>
					<?php $v_role_type_added = \U::safe_display_string(isset($v_role_type) ? $v_role_type : ""); ?>
					<div class="col-sm-5">
						<select class="user_name form-control" name="agency_id" id="agency_filter" required="" readonly>
							<?php
							if (isset($v_agency_dta) && count($v_agency_dta) > 0) {
								foreach ($v_agency_dta as $v_key => $v_agency_each) {
									if( $v_agency_each['ag_id'] == $v_user_info['agency_id'] ) {
									?>
										<option <?php if( $v_agency_each['ag_id'] == $v_user_info['agency_id'] ) { echo "selected";}?> value="<?php echo \U::safe_display_string($v_agency_each['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_each['ag_name']); ?></option>
										<?php
									}
								}
							}
							?>
						</select>
					</div>
				</div>
				<?php
			} else {?>
				<select name="v_agency_id" id="agency_filter" style="display: none;">
						<option selected value="<?php echo \E::get_session("c_user_agency_id");?>">
							<?php echo \E::get_session("c_user_agency_id");?>
						</option>
				</select>
			<?php
			}
		?>

		<div class="row form-group">
			<label for="role_status" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_STATUS_TEXT'); ?> </label>
			<div class="col-sm-5">
				<?php $v_user_active_inactive_status = $v_user_info['active_inactive_status']; ?>
				<select class="form-control" id="role_status" name="role_status" <?php echo $v_readoilny_status; ?>>
					<option value=""></option>
					<option value="1" <?php if (\U::safe_display_string($v_user_active_inactive_status) == 1) {
						echo "selected";
					} ?>>
						<?php echo \E::get('obj_curr_module_lang')->get('USER_STATUS_ACTIVE'); ?>
					</option>
					<option value="0" <?php if (\U::safe_display_string($v_user_active_inactive_status) == 0) {
						echo "selected";
					} ?>>
						<?php echo \E::get('obj_curr_module_lang')->get('USER_STATUS_INACTIVE'); ?>
					</option>
				</select>
			</div>
		</div>
		<div class="row form-group">
			<label for="role_remarks" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_REMARKS'); ?></label>
			<div class="col-sm-5">
				<input type="text" class="text form-control" name="role_remarks" id="role_remarks" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_REMARKS_PLACEHOLDER'); ?>" value="<?php echo \U::safe_display_string($v_user_info['remarks']); ?>" <?php echo $v_readoilny_status; ?> />
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_upadted_date" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_UPDATED_DATE'); ?></label>
			<div class="col-sm-5">
				<input type="text" class="form-control" name="usr_upadted_date" id="usr_upadted_date" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_UPDATED_DATE'); ?>" value="<?php echo date("d/m/Y H:i:s", strtotime($v_re_modified_date)); ?>" readonly>
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_last_upadted_date" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_LATS_UPDATED_DATE'); ?></label>
			<div class="col-sm-5">
				<input type="text" class="form-control " name="usr_last_upadted_date" id="usr_last_upadted_date" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_LATS_UPDATED_DATE'); ?>" value="<?php echo $v_re_modified_by; ?>" readonly>
			</div>
		</div>
		<hr/>
		<table id="tbl_responsive " cellpadding="0" cellspacing="0" border="0" class="table table_list">
			<thead>
			<tr class="no_border_custom">
				<th class="m-0 pb-0 module_name no_border_custom">
					<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_ACCESS_RIGHTS'); ?>
				</th>
				<th class="no_border_custom roles_td_heading" style="display: flex;align-items: center;justify-content: center;">
					<input type="checkbox" class="all_checked_unchecked" onclick="all_checked_unchecked();" style="margin-right: 11px;"> Select All
				</th>
				<th colspan="4" class="no_border_custom">
					<span class="eticket_drop_down collapsed agency_down_up" data-toggle="collapse" data-target="#demo" onclick="change_list(1)"><i class="fas fa-chevron-down"></i></span>
					<span class="eticket_drop_up collapsed agency_down_arrow" data-toggle="collapse" data-target="#demo" onclick="change_list(0)"><i class="fas fa-chevron-up"></i></span>
				</th>
			</tr>
			</thead>
			<tbody id="demo" class="collapse show">
			<tr class="no_border_custom">
				<th width="30%" class="no_border_custom">
				</th>
				<th width="15%" class="roles_td_heading">
					<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_VIEW'); ?>
				</th>
				<th width="15%" class="roles_td_heading">
					<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_ADD'); ?>
				</th>
				<th width="15%" class="roles_td_heading">
					<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_UPDATE'); ?>
				</th>
				<th width="15%" class="roles_td_heading">
					<?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_DELETE'); ?>
				</th>
			</tr>
			<?php
			if (isset($v_module_lists) && $v_module_lists != NULL) {
				$v_counter_list = 0;
				foreach ($v_module_lists as $v_list) {
					$v_margin_left = '15px;';
					$v_margin_left_sub = '0px;';
					if ($v_list['name'] == 'Reports' || $v_list['name'] == 'User Account Maintenance' || $v_list['name'] == 'Agency Maintenance' || $v_list['name'] == 'Ticket Profile & Template') {
						$v_margin_left = '25px;';
						$v_margin_left_sub = '15px;';
					}
					if ($v_list['name'] == 'Reports') { ?>
						<tr class="no_border_custom">
							<td class="no_border_custom">
								<strong>
									<span><?PHP echo \E::get('obj_curr_module_lang')->get('USER_ROLE_SETUP_CONFIGURATION'); ?></span>
								</strong>
							</td>
						</tr>
					<?php } ?>
					<tr class="no_border_custom">
						<td class="no_border_custom">
							<strong>
								<span style="margin-left: <?php echo $v_margin_left_sub; ?> "><?php echo $v_list['name'] ?></span>
							</strong>
						</td>
					</tr>
					<?php
					if (isset($v_list['items']) && $v_list['items'] != NULL) {
						foreach ($v_list['items'] as $v_key => $v_items) { ?>
							<tr class="no_border_custom">
								<td class="no_border_custom">
									<?php
									$v_view = "";
									$v_edit = "";
									$v_add = "";
									$v_delete = "";
									if ($v_items['id'] == $v_user_permissions[$v_counter_list]['module_id']) {
										if ($v_user_permissions[$v_counter_list]['view'] == 1) {
											$v_view = "checked";
										}
										if ($v_user_permissions[$v_counter_list]['edit'] == 1) {
											$v_edit = "checked";
										}
										if ($v_user_permissions[$v_counter_list]['add'] == 1) {
											$v_add = "checked";
										}
										if ($v_user_permissions[$v_counter_list]['delete'] == 1) {
											$v_delete = "checked";
										}
									}
									$v_counter_list++;
									?>
									<span style="margin-left: <?php echo $v_margin_left; ?>"><?php echo $v_items['name'] ?></span>
									<?php
									$admin_class = "";
									$agency_staff_class = "";
									if ($v_items['id'] == 1 || $v_items['id'] == 2 || $v_items['id'] == 3 || $v_items['id'] == 4 || $v_items['id'] == 9 || $v_items['id'] == 10 || $v_items['id'] == 11 || $v_items['id'] == 12) {
										$admin_class = "enable_disabled";
									}
									if ($v_items['id'] == 7) {
										$agency_staff_class = "enable_disabled_agency_staff";
									}
									?>
									<input type="hidden" name="<?php echo str_replace(' ', '_', $v_items['name']); ?>" value="<?php echo $v_items['id']; ?>" <?php echo $v_view; ?>>
								</td>
								<td data-title="<?php echo \E::get('obj_system_lang')->get('USER_ROLE_VIEW'); ?>" class="roles_td_heading">
									<input type="checkbox" class="all_checkbox_class <?php echo $admin_class; ?>" <?php echo $v_readoilny_status_checkboxes; ?> value="1" name="module_view_<?php echo $v_items['id']; ?>" id="module_view_<?php echo $v_items['id']; ?>" onclick="" <?php echo $v_view; ?>>
								</td>
								<td data-title="<?php echo \E::get('obj_system_lang')->get('USER_ROLE_ADD'); ?>" class="roles_td_heading">
									<?php
									if ($v_items['id'] != 1 && $v_items['id'] != 2 && $v_items['id'] != 3 && $v_items['id'] != 4 && $v_items['id'] != 13) { ?>
										<input type="checkbox" class="all_checkbox_class <?php echo $admin_class; ?> <?php echo $agency_staff_class; ?>" <?php echo $v_readoilny_status_checkboxes; ?> value="1" name="module_add_<?php echo $v_items['id']; ?>" id="module_add_<?php echo $v_items['id']; ?>" onclick="" <?php echo $v_add; ?> />
										<?php
									}
									?>
								</td>
								<td data-title="<?php echo \E::get('obj_system_lang')->get('USER_ROLE_UPDATE'); ?>" class="roles_td_heading">
									<?php
									if ($v_items['id'] != 1 && $v_items['id'] != 2 && $v_items['id'] != 3 && $v_items['id'] != 4 && $v_items['id'] != 13) { ?>
										<input type="checkbox" class="all_checkbox_class <?php echo $admin_class; ?>" <?php echo $v_readoilny_status_checkboxes; ?> value="1" name="module_edit_<?php echo $v_items['id']; ?>" id="module_edit_<?php echo $v_items['id']; ?>" onclick="" <?php echo $v_edit; ?> />
										<?php
									}
									?>
								</td>
								<td data-title="<?php echo \E::get('obj_system_lang')->get('USER_ROLE_DELETE'); ?>" class="roles_td_heading">
									<?php
									if ($v_items['id'] != 1 && $v_items['id'] != 2 && $v_items['id'] != 3 && $v_items['id'] != 4 && $v_items['id'] != 13) { ?>
										<input type="checkbox" class="all_checkbox_class <?php echo $admin_class; ?> <?php echo $agency_staff_class; ?>" <?php echo $v_readoilny_status_checkboxes; ?> value="1" name="module_delete_<?php echo $v_items['id']; ?>" id="module_delete_<?php echo $v_items['id']; ?>" <?php echo $v_delete; ?> />
										<?php
									}
									?>
								</td>
							</tr>
							<?php
						}
					}
				}
			} ?>
			</tbody>
		</table>
		<hr/>
		<div class="row">
			<div class="col-md-12">
				<h5 class="m-0 pb-0 module_name cursor_pointer" data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample" onclick="change_list_users(1)">
					<?php echo \E::get('obj_curr_module_lang')->get('USER_ROLE_USER'); ?>
					<span class="eticket_drop_down_users collapsed agency_down_arrow" data-toggle="collapse" data-target="#demo_users"><i class="fas fa-chevron-down"></i></span>
					<span class="eticket_drop_up_users collapsed agency_down_up" data-toggle="collapse" data-target="#demo_users"><i class="fas fa-chevron-up"></i></span>
				</h5>
			</div>
		</div>
		<div class="row m-top-20">
			<div class="col-md-12">
				<div class="collapse" id="collapseExample">
					<div class="col-sm-12">
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user', 'add'); ?>" class="	btn btn-primary float-right inner_datatables_add_buttons" role="button" !important;>
							<i class="fa fa-plus fs-12"></i> <?php echo \E::get('obj_kernel_lang')->get('USER_ROLE_ADD_USER'); ?>
						</a>
					</div>
					<div class="table-responsive">
						<table class="table table-bordered" id="data_table" width="100%" cellspacing="0">
							<?php
							$v_currenct_selected_site = \E::get_session('current-selected-site');
							?>
							<thead>
							<tr>
								<th width="5%" data-columns-orderable="false">
									<?php echo \E::get('obj_kernel_lang')->get('TBL_NO'); ?>
								</th>
								<th width="<?php echo $v_width; ?>">
									<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USERNAME'); ?>
								</th>
								<th width="<?php echo $v_width; ?>">
									<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_FULL_NAME'); ?>
								</th>
								<th width="<?php echo $v_width; ?>">
									<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_ROLE'); ?>
								</th>
								<th width="<?php echo $v_width; ?>">
									<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_AGENCY'); ?>
								</th>
								<th width="<?php echo $v_width; ?>">
									<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_STATUS'); ?>
								</th>
							</tr>
							</thead>
							<tbody>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-2"></div>
			<div class="col-md-5 text-center">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user_role', 'list'); ?>">
					<button type="button" class="btn btn-default w-auto-im">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_BACK_TO_LISTING'); ?>
					</button>
				</a>
				<?php
				if ($v_access_delete) {
					if (isset($v_user_role_useres_checking) && $v_user_role_useres_checking > 0) { ?>
						<button type="button" class="btn btn-danger" disabled title="The Role is assigned to the Users, Can't be Deleted.">
							<?php echo \E::get('obj_kernel_lang')->get('BTN_DELETE'); ?>
						</button>
						<?php
					} else { ?>
						<a href="javascript:void(0)" onclick="delete_record(<?php echo $v_id; ?>)">
							<button type="button" class="btn btn-danger" onclick="">
								<?php echo \E::get('obj_kernel_lang')->get('BTN_DELETE'); ?>
							</button>
						</a>
						<?php
					}
				}
				if ($v_access_edit) { ?>
					<button type="button" class="btn btn-primary" onclick="check_validations()" id="submit_form">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_EDIT_UPDATE'); ?>
					</button>
					<?php
				}
				?>
			</div>
		</div>
	</form>
	<script language="javascript">
		var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user_role', 'list_ajax_roles'); ?>';
		var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_list_user";
		var v_list;
		var v_init = false;
		var v_init_page = 0;
		var v_init_usr_name, v_init_usr_email, v_init_usr_new_ic_no, v_init_short_name, v_init_usr_group,
			v_init_usr_agency, v_init_usr_branch, v_init_usr_authentic_method, v_init_usr_status, v_role_id;
		$(document).ready(
			function () {
				<?php
				$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
				$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
				$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
				if ($v_session_msg_title != '' && $v_session_msg != '') {
				?>
				Swal.fire({
					title: '<font  class="title_heading">' + "<?php echo $v_session_msg; ?>" + '</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png'; ?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				<?php
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
				}
				?>
				v_list = $('#data_table').DataTable({
					"pagingType": "full_numbers",
					"language": {
						"paginate": {
							"previous": "Previous"
						}
					},
					"dom": "<'row'<'col-sm-12 col-md-6'l><'col-sm-12 col-md-6 text-right'f>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-6'i><'col text-right pt-1'<'mpage'>><'col-auto'p>>",
					"lengthMenu": [
						[10, 25, 50, -1],
						[10, 25, 50, "All"]
					],
					"responsive": {
						details: {
							display: $.fn.dataTable.Responsive.display.childRowImmediate,
							type: 'none',
							target: ''
						}
					},
					"searching": true,
					"processing": true,
					"bPaginate": true,
					"serverSide": true,
					"deferRender": true,
					"deferLoading": true,
					"stateSave": true,
					"stateSaveParams": function (settings, data) {
					},
					"stateLoaded": function (settings, data) {
						v_init_page = data.start;
					},
					"ajax": {
						url: v_list_url,
						dataSrc: 'data',
						type: 'GET',
						data: function (d) {
							d['role_id'] = "<?php echo $v_id; ?>";
							if (v_init == true) {
								d['start'] = v_init_page;
							}
						},
						done: function (data) {
						},
						error: function (err) {
							if (err.responseText.includes('REQUIRED_LOGIN')) {
								window.location = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list'); ?>';
							}
						}
					},
					"drawCallback": function (settings) {
						if (v_init == true) {
							v_init = false;
							var v_info_init = v_list.page.info();
							$('#manual_paging').attr('max', v_info_init.pages).attr('min', 1);
							$('#manual_paging').on('keypress', function (e) {
								if (e.which == 13) {
									var v_info = v_list.page.info();
									if ($('#manual_paging').val() != '' && $('#manual_paging').val() <= v_info.pages && $('#manual_paging').val() > 0) {
										v_list.page(($('#manual_paging').val() - 1)).draw('page');
									}
								}
							});
						}
					},
					"columns": [{
						"data": 'no',
						"orderable": false
					},
						{
							"data": 'short_name'
						},
						{
							"data": 'usr_name'
						},
						{
							"data": 'role'
						},
						{
							"data": 'agency'
						},
						{
							"data": 'status'
						},
					],
					"order": [1, "desc"],
					"initComplete": function (settings, json) {
						v_init = true;
						$("div.mpage").html('<input type="number" id="manual_paging" class="text-center" value="" style="width:50px;">');
						$("#data_table_length").hide();
					}
				}).on('page.dt', function () {
					var v_info = v_list.page.info();
					$('#manual_paging').val((v_info.page + 1));
				}).on('length.dt', function (e, settings, len) {
					var v_info = v_list.page.info();
					$('#manual_paging').attr('max', v_info.pages);
				});
				var v_state = v_list.state.loaded();
				if (v_state) {
					v_init = true;
					v_list.ajax.reload(null, false);
				} else {
					v_list.ajax.reload();
				}
			}
		);
		function search() {
			v_list.ajax.reload();
		}
		function check_validations() {
			if (validate(document.frm_acl)) {
				$("#submit_form").prop("disabled", true);
				var v_user_role = $("#role_name").val();
				var v_agency_id = $("#agency_filter option:selected").val();
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user_role', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_role_name=' + escape(v_user_role) + '&v_action=edit' + '&v_primary_table_id=' + <?php echo $v_id; ?>+'&v_agency_id=' + escape(v_agency_id);
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('user_role', 'code_validate_ajax'); ?>';

				var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', 'false');
			}
		}
		function after_load() {
			var v_check_error_found = $('#duplication_error_found').val();
			if (v_check_error_found != 1) {
				document.frm_acl.submit();
			} else {
				$('#role_name').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function delete_record(p_id) {
			if (p_id != '') {
				Swal.fire({
					title: '<font class="title_heading">Are you sure you want to delete this record?</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					confirmButtonColor: '#337AB7',
					showCloseButton: true,
					showCancelButton: true,
					cancelButtonText: "No",
					confirmButtonText: "Yes",
				}).then((result) => {
					if (result.value) {
						window.location = "<?PHP echo \E::get('obj_curr_module')->build_action_path('user_role', 'delete'); ?>" + p_id;
					}
				});
			}
		}
		var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_edit_user";
		var v_list;
		var v_init = false;
		var v_init_page = 0;
		var v_init_div_code, v_init_div_name;
		$(document).ready(
			function () {
				<?php
				$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
				$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
				$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
				if ($v_session_msg_title != '' && $v_session_msg != '') {
				?>
				Swal.fire({
					title: '<font class="title_heading">' + "<?php echo $v_session_msg; ?>" + '</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png'; ?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				<?php
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
				}
				?>
			}
		);
		function change_list($value) {
			if ($value == 1) {
				$('.eticket_drop_down').css('display', 'none');
				$('.eticket_drop_up').css('display', 'block');
			} else {
				$('.eticket_drop_down').css('display', 'block');
				$('.eticket_drop_up').css('display', 'none');
			}
		}
		var v_user_collapse_status = 1;
		function change_list_users($value) {
			if (v_user_collapse_status == 1) {
				$('.eticket_drop_down_users').css('display', 'none');
				$('.eticket_drop_up_users').css('display', 'block');
				v_user_collapse_status = 0;
			} else {
				$('.eticket_drop_down_users').css('display', 'block');
				$('.eticket_drop_up_users').css('display', 'none');
				v_user_collapse_status = 1;
			}
		}
		function change_enable_disable(selected_value) {
			var selected_value = parseInt($("#role_type option:selected").val());
			if (selected_value == 1) {
				$(".enable_disabled_agency_staff").prop("disabled", true);
				$(".enable_disabled").prop("disabled", false);
				$(".enable_disabled_agency_staff").each(function (index) {
					$(".enable_disabled_agency_staff").prop("checked", false);
				});
			} else if (selected_value == 2) {
				$(".enable_disabled_agency_staff").prop("disabled", false);
				$(".enable_disabled").prop("disabled", true);
				$(".enable_disabled_agency_staff").each(function (index) {
					$(".enable_disabled").prop("checked", false);
				});
			}
		}
		change_enable_disable();
		function all_checked_unchecked(){
			var role_type = $("#role_type option:selected").val();
			$('.all_checkbox_class').each(function(index, value) {
				if( $(".all_checked_unchecked").prop("checked") == true ) {
					if( role_type == 2 ) {
						if( $(this).hasClass("enable_disabled") ) {
					  	} else {
					  		$(this).prop("checked", true);
					  	}
					} else if( role_type == 1 ) {
						if( $(this).hasClass("enable_disabled_agency_staff") ) {
					  	} else {
					  		$(this).prop("checked", true);
					  	}
					} else {
						$(this).prop("checked", true);
					}
				} else {
					$(this).prop("checked", false);
				}
			});
		}
	</script>
<?php
\I::load_error();
?>