<?php
namespace moonlight\eticket;
class eticket_buy_ticket_mysql {
	private $co_db_root;
	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];
		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}
	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}
	/**
	 * INSERT TICKET BUY TRANSACTION
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_transaction_save($p_data) {
		if( isset($p_data) ) {
			if( count($p_data) > 0 ) {
				if( isset($p_data['sequence_number_transaction']) && $p_data['sequence_number_transaction'] != '' ) {
					$v_query = "INSERT INTO
							" . $this->get_db_table_prefix() . "sales_transaction
						SET
							transaction_date = '".\U::safe_sql_string($p_data['transaction_date'])."',
							receipt_no = '".\U::safe_sql_string($p_data['sequence_number_transaction'])."',
							agency_id = '".\U::safe_sql_string(\E::get_session( "c_user_agency_id"))."',
							location_id = '".\U::safe_sql_string($p_data['select_location'])."',
							final_amount = '".\U::safe_sql_string($p_data['final_amount'])."',
							received_amount = '".\U::safe_sql_string($p_data['received_amount'])."',
							payment_method = '".\U::safe_sql_string($p_data['payment_method'])."',
							transaction_ref_no = '".\U::safe_sql_string($p_data['transaction_ref_no'])."',
							email = '".\U::safe_sql_string($p_data['email'])."',
							_rec_status = '".\U::safe_sql_string($p_data['rec_status'])."',
							_rec_created_by = '".\U::safe_sql_string($p_data['rec_created_by'])."',
							_rec_created_on = '".\U::safe_sql_string($p_data['rec_created_on'])."',
							_rec_modified_by = '".\U::safe_sql_string($p_data['rec_modified_by'])."',
							_rec_modified_on = '".\U::safe_sql_string($p_data['rec_modified_on'])."'
						";
					$v_transactin_id = $this->co_db_root->execute_query($v_query);
					if ($v_transactin_id) {
						$v_transactin_id = $this->co_db_root->get_last_insert_id();
						if( $v_transactin_id && $v_transactin_id != '' ) {
							$v_query = "INSERT INTO
								" . $this->get_db_table_prefix() . "spay_payment_transaction
							SET
								order_id = '".\U::safe_sql_string($v_transactin_id)."',
								amount = '".\U::safe_sql_string($p_data['final_amount'])."',
								type = '".\U::safe_sql_string('SPAYGLOBAL')."',
								data = '".\U::safe_sql_string($p_data['transaction_response_data'])."',
								identifier = '".\U::safe_sql_string($p_data['transaction_ref_no'])."',
								_rec_status = '".\U::safe_sql_string($p_data['rec_status'])."',
								_rec_created_by = '".\U::safe_sql_string($p_data['rec_created_by'])."',
								_rec_created_on = '".\U::safe_sql_string($p_data['rec_created_on'])."',
								_rec_modified_by = '".\U::safe_sql_string($p_data['rec_modified_by'])."',
								_rec_modified_on = '".\U::safe_sql_string($p_data['rec_modified_on'])."'
							";
							$this->co_db_root->execute_query($v_query);
						}
						return $v_transactin_id;
					}
				}
			}
		}
	}
	/**
	 * ADD NEW TICKET
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_save($p_data) {
		if( isset($p_data) ) {
			if( count($p_data) > 0 ) {
				if( isset($p_data['reference_number']) && $p_data['reference_number'] != '' ) {
					$v_query = "INSERT INTO
							" . $this->get_db_table_prefix() . "tickets 
						SET
							reference_number = '".\U::safe_sql_string($p_data['reference_number'])."',
							validity_date = '".\U::safe_sql_string($p_data['validity_date'])."',
							calculated_price = '".\U::safe_sql_string($p_data['calculated_price'])."',
							ticket_profile_id = '".\U::safe_sql_string($p_data['profile_id'])."',
							purchase_price = '".\U::safe_sql_string($p_data['calculated_price'])."',
							sales_transaction_id = '".\U::safe_sql_string($p_data['sales_transaction_id'])."',
							_rec_status = '".\U::safe_sql_string($p_data['rec_status'])."',
							_rec_created_by = '".\U::safe_sql_string($p_data['rec_created_by'])."',
							_rec_created_on = '".\U::safe_sql_string($p_data['rec_created_on'])."',
							_rec_modified_by = '".\U::safe_sql_string($p_data['rec_modified_by'])."',
							_rec_modified_on = '".\U::safe_sql_string($p_data['rec_modified_on'])."'
						";
					$v_transactin_ticket_id = $this->co_db_root->execute_query($v_query);
					if ($v_transactin_ticket_id) {
						return $v_transactin_ticket_id = $this->co_db_root->get_last_insert_id();
					}
				}
			}
		}
	}
	/**
	 * ADD TICKET DEMOGRAPHIC DATA
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_demographic_info($p_data) {
		if( isset($p_data) ) {
			if( count($p_data) > 0 ) {
				if( isset($p_data['ticket_id']) && $p_data['ticket_id'] != '' ) {
					$v_query = "INSERT INTO
							" . $this->get_db_table_prefix() . "ticket_demographic_info 
						SET
							ticket_id = '".\U::safe_sql_string($p_data['ticket_id'])."',
							ticket_type = '".\U::safe_sql_string($p_data['category_type'])."',
							ticket_category = '".\U::safe_sql_string($p_data['category_id'])."',
							location = '".\U::safe_sql_string($p_data['seleced_location'])."',
							_rec_status = '".\U::safe_sql_string($p_data['rec_status'])."',
							_rec_created_by = '".\U::safe_sql_string($p_data['rec_created_by'])."',
							_rec_created_on = '".\U::safe_sql_string($p_data['rec_created_on'])."',
							_rec_modified_by = '".\U::safe_sql_string($p_data['rec_modified_by'])."',
							_rec_modified_on = '".\U::safe_sql_string($p_data['rec_modified_on'])."'
						";
					$v_transactin_demographic_id = $this->co_db_root->execute_query($v_query);
					if ($v_transactin_demographic_id) {
						return $v_transactin_demographic_id = $this->co_db_root->get_last_insert_id();
					}
				}
			}
		}
	}
	/**
	 * Reprint Ticket
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_reprint_ticket($p_sales_transaction_id=NULL) {
		$v_query = "SELECT
						count(*) as ticket_qty,
						".$this->get_db_table_prefix()."sales_transaction.email as contacted_person_email,
						".$this->get_db_table_prefix()."tickets.*,
						".$this->get_db_table_prefix()."sales_transaction.*,
						".$this->get_db_table_prefix()."ticket_profile.name as profile_name,
						".$this->get_db_table_prefix()."ticket_profile.price as profile_price,
						".$this->get_db_table_prefix()."ticket_category.name as c_category_name,
						".$this->get_db_table_prefix()."ticket_demographic_info.*,
						".$this->get_db_table_prefix()."user.usr_full_name,
						".$this->get_db_table_prefix()."locations.*,
						".$this->get_db_table_prefix()."locations.email as l_email
					FROM
						".$this->get_db_table_prefix()."tickets
					INNER JOIN
						".$this->get_db_table_prefix()."sales_transaction
					ON
						".$this->get_db_table_prefix()."tickets.sales_transaction_id = ".$this->get_db_table_prefix()."sales_transaction.id 
					INNER JOIN
						".$this->get_db_table_prefix()."ticket_demographic_info ON ".$this->get_db_table_prefix()."tickets.id = ".$this->get_db_table_prefix()."ticket_demographic_info.ticket_id
					INNER JOIN
						".$this->get_db_table_prefix()."locations
					ON
						".$this->get_db_table_prefix()."ticket_demographic_info.location = ".$this->get_db_table_prefix()."locations.id 
					INNER JOIN
						".$this->get_db_table_prefix()."ticket_category
					ON
						".$this->get_db_table_prefix()."ticket_category.id = ".$this->get_db_table_prefix()."ticket_demographic_info.ticket_category 
					INNER JOIN
						".$this->get_db_table_prefix()."ticket_profile
					ON
						".$this->get_db_table_prefix()."ticket_profile.id = ".$this->get_db_table_prefix()."tickets.ticket_profile_id 						
					INNER JOIN
						".$this->get_db_table_prefix()."user
					ON 
						".$this->get_db_table_prefix()."user.usr_id = ".$this->get_db_table_prefix()."sales_transaction._rec_created_by
					WHERE
						".$this->get_db_table_prefix()."tickets.sales_transaction_id = ".\U::safe_sql_string($p_sales_transaction_id)."
					GROUP BY
						".$this->get_db_table_prefix()."tickets.ticket_profile_id
					";
		$v_locations_data = $this->co_db_root->execute_query($v_query);	
		return $v_locations_data;
	}
	/**
	 * Reprint Ticket Receipts
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_reprint_ticket_receipts($p_sales_transaction_id=NULL) {
		$v_query = "SELECT
						".$this->get_db_table_prefix()."tickets.*,
						".$this->get_db_table_prefix()."sales_transaction.*,
						".$this->get_db_table_prefix()."user.usr_full_name,
						".$this->get_db_table_prefix()."ticket_template.*
					FROM
						".$this->get_db_table_prefix()."tickets
					INNER JOIN
						".$this->get_db_table_prefix()."sales_transaction
					ON
						".$this->get_db_table_prefix()."tickets.sales_transaction_id = ".$this->get_db_table_prefix()."sales_transaction.id 
					INNER JOIN
						".$this->get_db_table_prefix()."ticket_template
					ON 
						".$this->get_db_table_prefix()."tickets.ticket_profile_id = ".$this->get_db_table_prefix()."ticket_template.ticket_name
					INNER JOIN
						".$this->get_db_table_prefix()."user
					ON 
						".$this->get_db_table_prefix()."user.usr_id = ".$this->get_db_table_prefix()."sales_transaction._rec_created_by
					WHERE
						".$this->get_db_table_prefix()."tickets.sales_transaction_id = ".\U::safe_sql_string($p_sales_transaction_id)."
					";
		$v_locations_data = $this->co_db_root->execute_query($v_query);	
		return $v_locations_data;
	}
	/**
	 * Get Code table Value By Key Name
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_get_code_table_vallue_by_key_name($p_key_name=NULL) {
		if( $p_key_name != '' ) {
			$v_query = "SELECT
							*
				 		FROM 
				 			" . $this->get_db_table_prefix() . "code_table 
				 		WHERE
				 			key_name = '".\U::safe_sql_string($p_key_name)."'
				 ";
			$v_code_table_data = $this->co_db_root->execute_query($v_query);	
			if( isset($v_code_table_data) ) {
				if( $v_code_table_data != '' ) {
					return $v_code_table_data[0];
				}
			}
		}
	}
	/**
	 * Ticket Listing
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_get_listing($p_cond=NULL, $p_sort_by=NULL, $p_order_by=NULL, $p_page_start=NULL, $p_page_length=NULL){
		$v_col_name_l = "location_id";
		$v_location_condition = \E::get('obj_curr_module')->get_location_condition($v_col_name_l);
		$v_location_condition_loc_admin = "";
		if( \E::get_session("location_administrator") == 1 ) {
			$v_location_condition_loc_admin = " OR (_rec_created_by = '".\E::get_session('usr_id')."') ";
		}
		$v_col_name = "agency_id";
		$v_agency_condition = \E::get('obj_curr_module')->get_agency_condition($v_col_name);
		$v_receipt_no = $p_cond['search_by_receipt']; 
		$v_receipt_search = "";
		if( $v_receipt_no != '' ) {
			$v_receipt_search = " AND ( receipt_no LIKE '%" . \U::safe_sql_string($v_receipt_no) . "%'  ) ";
		}
		$v_date_range = $p_cond['date_range']; 
		$v_date_search = " AND ( transaction_date >= '".date("Y-m-d 00:00:00")."' AND transaction_date <= '".date("Y-m-d 23:59:59")."' ) ";
		if( $v_date_range != '' ) {
			$v_date_range = explode("to",$v_date_range);
			$v_start_date = "";
			$v_end_date = "";
			if( count($v_date_range) == 2 ) {
				$v_start_date = $v_date_range[0];
				$v_end_date = $v_date_range[1];
			} else {
				$v_start_date = $v_date_range[0];
				$v_end_date = $v_date_range[0];
			}
			$v_date_search = " AND ( transaction_date >= '".date("Y-m-d 00:00:00",strtotime( \U::safe_sql_string($v_start_date)))."' AND transaction_date <= '".date("Y-m-d 23:59:59",strtotime(\U::safe_sql_string($v_end_date)))."' ) ";
		}
		$v_cashier_filter = $p_cond['cashier_filter'];
		$v_cashier_filter_search = "";
		if( $v_cashier_filter != '' ) {
			$v_cashier_filter_imploded = "'" . implode ( "', '", \U::safe_sql_string($v_cashier_filter)) . "'";
			$v_cashier_filter_search = " AND ( _rec_created_by IN(".$v_cashier_filter_imploded.") ) ";
		}
		$v_limitation_data = "";
		if( $p_page_start != '' && $p_page_length != '' ) {
			$v_limitation_data = " LIMIT " . \U::safe_sql_string($p_page_start) . ", " . \U::safe_sql_string($p_page_length) . "";
		}
		$v_order_by = "";
		if( $p_order_by != '' && $p_sort_by != '' ) {
			$v_order_by = " ORDER BY " . \U::safe_sql_string($p_order_by) . " " . \U::safe_sql_string($p_sort_by) . " ";
 		}
 		$v_status_condition = " (_rec_status IN('SHOW','DELETED'))  ";
		if( isset($p_cond['report_status']) && $p_cond['report_status'] != '' ) {
			if( $p_cond['report_status'] == 21 ) {
				$v_status_condition = " (_rec_status IN('SHOW','DELETED'))  ";
			} else if( $p_cond['report_status'] == 22 ) {
				$v_status_condition = " (_rec_status IN('SHOW'))  ";
			} else if( $p_cond['report_status'] == 23 ) {
				$v_status_condition = " (_rec_status IN('DELETED'))  ";
			}
		}
		$v_query = "
				SELECT
					*
				FROM
					" . $this->get_db_table_prefix() . "sales_transaction 
				WHERE 
				 	".$v_status_condition."
				 	".$v_receipt_search." 
				 	".$v_location_condition." 
				 	".$v_location_condition_loc_admin." 
				 	".$v_agency_condition." 
				 	".$v_date_search." 
				 	".$v_cashier_filter_search." 
				 	".$v_order_by."
				 	".$v_limitation_data."
				";
		return $this->co_db_root->execute_query($v_query);
	}
	/**
	 * UPdate Email STatus
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_update_email_status($p_sales_transaction_id, $p_receipt_image_id, $p_tickets_image_id) {
		$v_query = "UPDATE
						" . $this->get_db_table_prefix() . "sales_transaction
					SET
						is_email_sent = '".\U::safe_sql_string("1")."',
						ticket_receipt_id = '".\U::safe_sql_string($p_receipt_image_id)."',
						ticket_ticket_id = '".\U::safe_sql_string($p_tickets_image_id)."'
			 		WHERE
			 			id = '".\U::safe_sql_string($p_sales_transaction_id)."'
				";
		$v_sequence_updated = $this->co_db_root->execute_query($v_query);	
	}
	/**
	 * SET TICKET CANCEL RECORD FOR CASHIER USER
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_cancellation_process($p_transaction_id) {
		if( isset($p_transaction_id) && ($p_transaction_id != '') ) {
			$v_cashier_or_location_admin_status = \E::get_session('is_location_admin_for_cancelation_receipts');
			if( $v_cashier_or_location_admin_status == "no" ) { 	
				$v_query = "UPDATE
							" . $this->get_db_table_prefix() . "sales_transaction
							SET
								pending_authorization_status = 1,
								pending_authorization_requested_user_id = '".\E::get_session('usr_id')."',
								pending_authorization_status_datetime = '".date("Y-m-d H:i:s")."'
					 		WHERE
					 			id = '".\U::safe_sql_string($p_transaction_id)."'
						";
				$this->co_db_root->execute_query($v_query);	
			}
		}
	}
	/**
	 * TICKET CANCEL PROCESS TERMINATED
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_cancell_reject_process($p_transaction_id, $p_authorization_status,$p_location_admin_user_id,$p_refund_transaction_reference_no=NULL,$p_refund_transaction_flow_no=NULL) {
		if( (isset($p_transaction_id) && ($p_transaction_id != '')) && (isset($p_authorization_status) && ($p_authorization_status != '')) ) {
			$v_current_date_time = date("Y-m-d H:i:s");
			$v_current_user_id = \E::get_session('usr_id');
			if( $p_authorization_status == "confirm" ) {
				$v_query = "UPDATE
						" . $this->get_db_table_prefix() . "sales_transaction
						SET
							cashier_user_id = '".\U::safe_sql_string($v_current_user_id)."',
							location_admin_user_id = '".\U::safe_sql_string($p_location_admin_user_id)."',
							remarks = '".\U::safe_sql_string($_POST['ticket_cancell_remarks'])."',
							cancellation_date = '".\U::safe_sql_string(date("Y-m-d H:i:s"))."',
							refund_transaction_ref_no = '".\U::safe_sql_string($p_refund_transaction_reference_no)."',
							refund_transaction_flow_no = '".\U::safe_sql_string($p_refund_transaction_flow_no)."',
							_rec_status = \"DELETED\",
							_rec_modified_on = '".\U::safe_sql_string($v_current_date_time)."',
							_rec_modified_by = '".\U::safe_sql_string($v_current_user_id)."',
							_rec_deleted_on = '".\U::safe_sql_string($v_current_date_time)."',
							_rec_deleted_by = '".\U::safe_sql_string($v_current_user_id)."'
				 		WHERE
				 			id = '".\U::safe_sql_string($p_transaction_id)."'
				";
				return $this->co_db_root->execute_query($v_query);
			}
		}
	}
	/**
	 * CHECK TANSACTION NUMBER ALREADY EXISTS IN THE SYSTEM
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_check_transaction_number_validity($p_transaction_number) {
		if( $p_transaction_number != '' ) {
			$v_query = "SELECT
							COUNT(*) as total_transaction_found
				 		FROM 
				 			" . $this->get_db_table_prefix() . "sales_transaction 
				 		WHERE
				 			transaction_ref_no = '".\U::safe_sql_string($p_transaction_number)."'
				 ";
			$v_code_table_data = $this->co_db_root->execute_query($v_query);	
			if( isset($v_code_table_data[0]['total_transaction_found']) && $v_code_table_data[0]['total_transaction_found'] != '' ) {
				return $v_code_table_data[0]['total_transaction_found'];
			}
		}
	}
	/**
	 * GET TRANSACTION DETAILS BY TRANSACTION PRIMARY ID
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_get_transaction_details_by_primary_id($p_transaction_primary_id) {
		if( $p_transaction_primary_id != '' ) {
			$v_query = "SELECT
							*
				 		FROM 
				 			" . $this->get_db_table_prefix() . "sales_transaction 
				 		WHERE
				 			id = '".\U::safe_sql_string($p_transaction_primary_id)."'
				 		AND
				 			_rec_status = \"SHOW\"
				 ";
			$v_code_table_data = $this->co_db_root->execute_query($v_query);	
			if( isset($v_code_table_data[0]) && $v_code_table_data[0] != '' ) {
				return $v_code_table_data[0];
			}
		}
	}
	/**
	 * GET TRANSACTION DETAILS BY TRANSACTION REFERENCE NUMBER
	 *
	 * @access public
	 * @return
	 */
	public function buy_ticket_get_transaction_details_by_reference_number($p_transaction_reference_number) {
		if( $p_transaction_reference_number != '' ) {
			$v_query = "SELECT
							COUNT(*) as reference_number_count
				 		FROM 
				 			" . $this->get_db_table_prefix() . "sales_transaction 
				 		WHERE
				 			refund_transaction_ref_no = '".\U::safe_sql_string($p_transaction_reference_number)."'
				 ";
			$v_code_table_data = $this->co_db_root->execute_query($v_query);	
			if( isset($v_code_table_data[0]) && $v_code_table_data[0] != '' ) {
				return $v_code_table_data[0];
			}
		}
	}
	/**
	 * Retrieve agency by id
	 *
	 * @access public
	 * @return 
	 */
	public function buy_ticket_get_merchant_id($p_location_id) {
		// CHECK LOCATIONS OR AGENCY HAVE THE SPAY OPTION ENABLED AND HAVE MERCHANT &PTJ ID
		$v_merchant_id_location_agency = "";
		if( trim($p_location_id) != NULL && trim($p_location_id) != '' && is_numeric($p_location_id) ) {
			$v_query = "SELECT
							*
				 		FROM 
				 			" . $this->get_db_table_prefix() . "locations 
				 		WHERE
				 			id = '".\U::safe_sql_string( $p_location_id )."'
				 		AND
				 			_rec_status = \"SHOW\";
				 ";
			$v_location_merchant_id = $this->co_db_root->execute_query($v_query);	
			if( isset($v_location_merchant_id[0]) && count($v_location_merchant_id[0]) > 0 ) {
				$v_sarawak_pay_merchant = $v_location_merchant_id[0]['sarawak_pay_merchant'];
				$v_merchant_id = $v_location_merchant_id[0]['merchant_id'];
				$v_ptj_code = $v_location_merchant_id[0]['ptj_code'];
				// CHECKING FOR LOCATION IF HAVE THE SPAY OPTION ENABLED AND HAVE MERCHANT &PTJ ID
				if( ($v_sarawak_pay_merchant == "yes") && (trim($v_merchant_id) != "" ) ) {
					$v_merchant_id_location_agency = $v_merchant_id;
				} else {
					// CHECKING FOR AGENCY IF HAVE THE SPAY OPTION ENABLED AND HAVE MERCHANT &PTJ ID
					if( trim($v_location_merchant_id[0]['agency_id']) != NULL && trim($v_location_merchant_id[0]['agency_id']) != '' && is_numeric($v_location_merchant_id[0]['agency_id']) ) {
						$v_query_agency = "SELECT
										*
							 		FROM 
							 			" . $this->get_db_table_prefix() . "agency
							 		WHERE
							 			ag_id = '".\U::safe_sql_string( $v_location_merchant_id[0]['agency_id'] )."'
							 		AND
							 			_rec_status = \"SHOW\";
							 ";
						$v_agency_merchant_id = $this->co_db_root->execute_query($v_query_agency);	
						if( isset($v_agency_merchant_id[0]) && count($v_agency_merchant_id[0]) > 0 ) {
							$v_sarawak_pay_merchant_agancy = $v_agency_merchant_id[0]['sarawak_pay_merchant'];
							$v_merchant_id_agancy = $v_agency_merchant_id[0]['merchant_id'];
							$v_ptj_code_agancy = $v_agency_merchant_id[0]['ptj_code'];
							if( ($v_sarawak_pay_merchant_agancy == "yes") && (trim($v_merchant_id_agancy) != "" ) ) {
								$v_merchant_id_location_agency = $v_merchant_id_agancy;
							}
						}
					}
				}
			}
		}
		return $v_merchant_id_location_agency;
	}
}
?>