<?php \I::load_error("MESSAGE");
$v_edit_process_path = \E::get('obj_curr_module')->build_action_path('agency', 'add');
?>
	<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
		<div class="container-fluid">
			<div class="row mb-2">
				<div class="col-sm-12 breadcrumb_container">
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_HOME'); ?>
					</a> /
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_SETUP_CONFIGURATION'); ?>
					</a> /
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('agency_maintenance', 'list'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_USER_AGENCY_MAINTENANCE'); ?>
					</a> /
					<?php echo \E::get('obj_curr_module_lang')->get('AGENCY_PROFILE'); ?>
				</div>
				<div class="col-sm-12 pl-3 pt-3">
					<h5 class="m-0 pb-0 module_name"><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_PROFILE_ADD'); ?></h5>
				</div>
			</div>
		</div>
	</div>
	<hr/>
	<form id="frm_acl" name="frm_acl" action="<?php echo $v_edit_process_path; ?>" method="post" enctype="multipart/form-data">
		<div class="row form-group">
			<label for="location_code" class="col-sm-2 col-form-label"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_CODE'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="form-control compulsory" name="location_code" id="location_code" value="<?php echo \U::safe_display_string(isset($v_location_code) ? $v_location_code : ""); ?>">
				<span class="text-danger" id="username_duplicate_check"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="location_name" class="col-sm-2 col-form-label"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_NAME'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="form-control  compulsory" name="location_name" id="location_name" value="<?php echo \U::safe_display_string(isset($v_location_name) ? $v_location_name : ""); ?>">
				<span class="text-danger" id="username_duplicate_check_name"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="contact_no" class="col-sm-2 col-form-label"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_CONTACT_NO'); ?>
				. <span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="number" class="form-control compulsory " name="contact_no" id="contact_no" value="<?php echo \U::safe_display_string(isset($v_contact_no) ? $v_contact_no : ""); ?>">
			</div>
		</div>
		<div class="row form-group">
			<label for="fax" class="col-sm-2 col-form-label"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_FAX'); ?></label>
			<div class="col-sm-5">
				<input type="number" class="form-control" name="fax" id="fax" value="<?php echo \U::safe_display_string(isset($v_fax) ? $v_fax : ""); ?>">
			</div>
		</div>
		<div class="row form-group">
			<label for="email" class="col-sm-2 col-form-label"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_EMAIL'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5" id="email_contiaer">
				<input type="text" class="form-control compulsory" name="email" id="email" value="<?php echo \U::safe_display_string(isset($v_email) ? $v_email : ""); ?>">
				<span class="error d-none-ni" id="wrong_email">Invalid email.</span>
			</div>
		</div>
		<div class="row form-group">
			<label for="address" class="col-sm-2 col-form-label"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_ADDRESS'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<textarea class="form-control compulsory agency_textarea_height" name="address" id="address"><?php echo \U::safe_display_string(isset($v_address) ? $v_address : ""); ?></textarea>
			</div>
		</div>
		<div class="row form-group">
			<label for="post_code" class="col-sm-2 col-form-label"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_POST_CODE'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="number" min="93000" max="98859" class="form-control compulsory" name="post_code" id="post_code" value="<?php echo \U::safe_display_string(isset($v_post_code) ? $v_post_code : ""); ?>">
			</div>
		</div>
		<div class="row form-group">
			<label for="division" class="col-sm-2 col-form-label"> <?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_DIVISION'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<?php $v_division_add = \U::safe_display_string(isset($v_division) ? $v_division : ""); ?>
				<select class="form-control compulsory" id="division" name="division">
					<option value=""></option>
					<option value="01" <?php if (\U::safe_display_string($v_division_add) == '01') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_KUCHING'); ?></option>
					<option value="02" <?php if (\U::safe_display_string($v_division_add) == '02') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_SRI_AMAN'); ?></option>
					<option value="03" <?php if (\U::safe_display_string($v_division_add) == '03') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_SIBU'); ?></option>
					<option value="04" <?php if (\U::safe_display_string($v_division_add) == '04') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_MIRI'); ?></option>
					<option value="05" <?php if (\U::safe_display_string($v_division_add) == '05') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_LIMBANG'); ?></option>
					<option value="06" <?php if (\U::safe_display_string($v_division_add) == '06') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_SARIKEI'); ?></option>
					<option value="07" <?php if (\U::safe_display_string($v_division_add) == '07') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_KAPIT'); ?></option>
					<option value="08" <?php if (\U::safe_display_string($v_division_add) == '08') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_SAMARAHAN'); ?></option>
					<option value="09" <?php if (\U::safe_display_string($v_division_add) == '09') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_BINTULU'); ?></option>
					<option value="10" <?php if (\U::safe_display_string($v_division_add) == '10') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_MUKAH'); ?></option>
					<option value="11" <?php if (\U::safe_display_string($v_division_add) == '11') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_BETONG'); ?></option>
					<option value="12" <?php if (\U::safe_display_string($v_division_add) == '12') {
						echo "selected";
					} ?>><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_SERIAN'); ?></option>
				</select>
			</div>
		</div>
		<div class="row form-group">
			<label for="person_charge" class="col-sm-2 col-form-label"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_PERSON_IN_CHARGE'); ?> </label>
			<div class="col-sm-5">
				<input type="text" class="form-control" name="person_charge" id="person_charge" value="<?php echo \U::safe_display_string(isset($v_person_charge) ? $v_person_charge : ""); ?>">
			</div>
		</div>
		<div class="row form-group">
			<label for="total_ticket_per_day" class="col-sm-2 col-form-label"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_LOGO'); ?></label>
			<div class="col-sm-5">
				<div class="custom-file">
					<input type="file" name="doc_file" id="doc_file" class="custom-file-input logo_file" id="inputGroupFile02"/>
					<label class="custom-file-label" for="inputGroupFile02" id="file_label_text"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_LOGO_CHOOSE_FILE'); ?></label>
				</div>
				<p class="agency_logo_error_size">
					<?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_LOGO_CHOOSE_FILE_SIZE'); ?>
				</p>
				<p id="file_type" class="agency_logo_error_extension">
					<?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_LOGO_CHOOSE_FILE_EXTENSION'); ?>
				</p>
			</div>
			<div class="col-sm-5">
				<a href="" id="anchoir_image" onclick="base_image_Clickec()">
					<img src="" id="preview_po_img" class="pre_to_img_agency"/>
				</a>
				<span class="remove_image remove_agency_logo_option"><i class="fas fa-trash fs-25"></i></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="gender" class="col-sm-2 col-form-label"> <?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_SARAWAK_PAYMERCHANT'); ?> </label>
			<div class="col-sm-8">
				<div class="row">
					<?php $v_sarawak_pay_merchant_add = \U::safe_display_string(isset($v_sarawak_pay_merchant) ? $v_sarawak_pay_merchant : ""); ?>
					<div class="col-md-2 sarawak_yes_no_radio_container">
						<input class="sarawak_main_radio_options" type="radio" name="sarawak_pay_merchant" onclick="getAttributesData(this.value)" value="yes" <?php if ($v_sarawak_pay_merchant_add == 'yes') {
							echo "checked";
						} ?> id="yes" class="sarawak_main_radio_options">
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="yes"> <?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_YES'); ?></label>
					</div>
					<div class="col-md-2 sarawak_yes_no_radio_container">
						<input class="sarawak_main_radio_options" type="radio" name="sarawak_pay_merchant" onclick="getAttributesData(this.value)" <?php if ($v_sarawak_pay_merchant_add == 'no') {
							echo "checked";
						} ?> value="no" id="no" class="sarawak_main_radio_options">
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="no"> <?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_NO'); ?>  </label>
					</div>
				</div>
			</div>
		</div>
		<div class="row form-group merchant_container">
			<?php
			$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('AGENCY_MERCHANT_ID');
			$v_merchant_id_label_text_ptj = \E::get('obj_curr_module_lang')->get('AGENCY_PTJ_CODE');
			$v_merchant_id_field_readonly = \E::get('obj_curr_module_lang')->get('AGENCY_READONLY');
			$v_merchant_id_field_cumpolsary = " ";
			$v_merchant_id_field_required = " ";
			if (isset($v_sarawak_pay_merchant_add) && $v_sarawak_pay_merchant_add == 'yes') {
				$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('AGENCY_MERCHANT_ID') . ' <span id="mid" class="text-danger">*</span>';
				$v_merchant_id_label_text_ptj = \E::get('obj_curr_module_lang')->get('AGENCY_PTJ_CODE') . ' <span id="ptjid"  class="text-danger">*</span>';
				$v_merchant_id_field_readonly = "";
				$v_merchant_id_field_cumpolsary = " " . \E::get('obj_curr_module_lang')->get('AGENCY_COMPULSORY') . " ";
				$v_merchant_id_field_required = " " . \E::get('obj_curr_module_lang')->get('AGENCY_REQUIRED') . " ";
			}
			?>
			<label for="merchant_id" class="col-sm-2 col-form-label" id="merchant_id_label_container">
				<?php echo $v_merchant_id_label_text_merchant; ?>
			</label>
			<div class="col-sm-5">
				<div class="input-group mb-3">
					<div class="input-group-prepend col-md-3 p-0 agency_static_m_before_fields">
						<button class="btn btn-outline-secondary col-md-12" id="btn_mykad_text" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" disabled readonly>
							M
						</button>
					</div>
					<input type="text" class="form-control  <?php echo $v_merchant_id_field_cumpolsary; ?>" name="merchant_id" id="merchant_id" value="<?php echo \U::safe_display_string(isset($v_merchant_id) ? $v_merchant_id : ""); ?>" <?php echo $v_merchant_id_field_readonly . " " . $v_merchant_id_field_required; ?> >
				</div>
			</div>
		</div>
		

		<div class="row form-group">
			<label for="gender" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_INTEGRATE_SIFBAS'); ?> </label>
			<div class="col-sm-8">
				<div class="row">
					<div class="col-md-2 sarawak_yes_no_radio_container">
						<input class="sarawak_main_radio_options" type="radio" name="sarawak_pay_sifbas" onclick="getAttributesData_sifbas(this.value)" value="yes" id="yes">
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="yes"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_YES'); ?></label>
					</div>
					<div class="col-md-2 sarawak_yes_no_radio_container">
						<input class="sarawak_main_radio_options" type="radio" name="sarawak_pay_sifbas" onclick="getAttributesData_sifbas(this.value)" value="no" id="no">
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="no"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_NO'); ?> </label>
					</div>
				</div>
			</div>
		</div>
		<div class="row form-group merchant_container_sifbas">
			<?php
			$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('AGENCY_PTJ_CODE');
			$v_merchant_id_field_readonly = \E::get('obj_curr_module_lang')->get('AGENCY_SIFBAS_READONLY');
			$v_merchant_id_field_cumpolsary = " ";
			$v_merchant_id_field_required = " ";
			if (isset($v_sarawak_pay_merchant_add) && $v_sarawak_pay_merchant_add == 'yes') {
				$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('AGENCY_PTJ_CODE') . ' <span id="sifb_id" class="text-danger">*</span>';
				$v_merchant_id_field_readonly = "";
				$v_merchant_id_field_cumpolsary = " " . \E::get('obj_curr_module_lang')->get('AGENCY_SIFBAS_COMPULSORY') . " ";
				$v_merchant_id_field_required = " " . \E::get('obj_curr_module_lang')->get('AGENCY_SIFBAS_REQUIRED') . " ";
			}
			?>
			<label for="sifbas_id" class="col-sm-2 col-form-label" id="sifbas_label_container">
				<?php echo $v_merchant_id_label_text_merchant; ?>
			</label>
			<div class="col-sm-5">
				<div class="input-group mb-3">
					<input type="text" class="form-control  <?php echo $v_merchant_id_field_cumpolsary; ?>" name="ptj_code" id="ptj_code" value="<?php echo \U::safe_display_string(isset($v_merchant_id) ? $v_merchant_id : ""); ?>" <?php echo $v_merchant_id_field_readonly . " " . $v_merchant_id_field_required; ?>>
				</div>
			</div>
		</div>


		<div class="row form-group">
			<label for="remarks" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_REMARKS'); ?></label>
			<div class="col-sm-5">
				<input type="text" class="form-control" name="remarks" id="remarks" value="<?php echo \U::safe_display_string(isset($v_remarks) ? $v_remarks : ""); ?>">
			</div>
		</div>
		<div class="row">
			<div class="col-md-2"></div>
			<div class="col-md-5 text-center">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('agency', 'list'); ?>">
					<button type="button" class="btn btn-default w-auto-im">
						<?php echo \E::get('obj_curr_module_lang')->get('AGENCY_BACK_TO_LISTING'); ?>
					</button>
				</a>
				<button type="button" class="btn btn-primary" id="submit_form" onclick="check_validations()">
					<?php echo \E::get('obj_kernel_lang')->get('BTN_SAVE'); ?>
				</button>
			</div>
		</div>
	</form>
	<script language="javascript">
		function getAttributesData_sifbas(radioValue) {
			if (radioValue == "yes") {
				$("#sifbas_label_container").html('PTJ Code  <span id="sifb_id" class="text-danger">*</span>');
				$("#ptj_code").prop("readonly", false);
				$("#ptj_code").addClass("compulsory");
				$(".merchant_container_sifbas span").show();
			} else {
				$("#sifbas_label_container").html('PTJ Code  <span id="sifb_id" class="text-danger">*</span>');
				$("#ptj_code").prop("readonly", true);
				$("#ptj_code").removeClass("compulsory");
				$("#ptj_code").removeClass("error");
				$(".merchant_container_sifbas span").hide();
			}
		}
		function getAttributesData(radioValue) {
			if (radioValue == "yes") {
				$("#merchant_id_label_container").html('Merchant ID  <span id="mid" class="text-danger">*</span>');
				$("#merchant_id").prop("readonly", false);
				$("#merchant_id").addClass("compulsory");
				$(".merchant_container span").show();
			} else {
				$("#merchant_id_label_container").html('Merchant ID  <span id="mid" class="text-danger">*</span>');
				$("#merchant_id").prop("readonly", true);
				$("#merchant_id").removeClass("compulsory");
				$("#merchant_id").removeClass("error");
				$(".merchant_container span").hide();
			}
		}
		function isEmail(email) {
			var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
			return regex.test(email);
		}
		function check_validations() {
			if (validate(document.frm_acl)) {
				if (isEmail($("#email").val())) {
					$("#submit_form").prop("disabled", true);
					var v_location_code = $("#location_code").val();
					var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('agency', 'code_validate_ajax'); ?>';
					var v_url = v_list_url + '?v_location_code=' + escape(v_location_code) + '&v_action=add';
					var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', '', '', '');
				} else {
					$("#email").focus();
					$("#email").addClass("error");
					$("#wrong_email").show();
				}
			}
		}
		function after_load(response) {
			var v_check_error_found = $('#duplication_error_found').val();
			if (v_check_error_found != 1) {
				$("#submit_form").prop("disabled", true);
				var v_location_name = $("#location_name").val();
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('agency', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_location_name=' + escape(v_location_name) + '&v_action=add';
				var v_response = makeGETRequest(v_url, 'username_duplicate_check_name', 'after_load_name', '', '', '');
			} else {
				$('#location_code').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function after_load_name(response) {
			var v_check_error_found = $('#duplication_error_found_name').val();
			if (v_check_error_found != 1) {
				document.frm_acl.submit();
			} else {
				$('#location_name').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function getmykad(e) {
			if ($(e).html()) {
				$("#btn_mykad_text").html($(e).html());
				$("#my_kad_valu").val($(e).html());
			}
		}
		$('input[type="file"]').change(function (e) {
			var fileName = e.target.files[0].name;
			$('.custom-file-label').html(fileName);
		});
		function readURL(input) {
			if (input.files && input.files[0]) {
				var url = input.value;
				var ext = url.substring(url.lastIndexOf('.') + 1).toLowerCase();
				if (input.files && input.files[0] && (ext == "gif" || ext == "png" || ext == "jpeg" || ext == "jpg")) {
					var reader = new FileReader();
					reader.onload = function (e) {
						$('#preview_po_img').attr('src', e.target.result);
						$('#anchoir_image').attr('href', e.target.result);
						$('#preview_po_img').show();
						$('.remove_image').show();
						$('.browse_btn').hide();
					}
					reader.readAsDataURL(input.files[0]);
				}
			}
			$(".remove_image").click(function () {
				$('#preview_po_img').hide();
				$('.remove_image').hide();
				$('#doc_file').val("");
				$('#file_label_text').html("");
			});
		}
		$(document).on("change", ".logo_file", function (e) {
			readURL(this);
		});
		function base_image_Clickec() {
			var image = new Image();
			var preview_po_img = $("#preview_po_img").attr("src");
			image.src = preview_po_img
			var _window = window.open('');
			_window.document.write(image.outerHTML);
		}
		$("input[type='file']").on("change", function () {
			var url = this.value;
			var ext = url.substring(url.lastIndexOf('.') + 1).toLowerCase();
			if (this.files && this.files[0] && (ext == "gif" || ext == "png" || ext == "jpeg" || ext == "jpg")) {
				$('#anchoir_image').show(400);
				$('.remove_image').show();
				if (this.files[0].size > 2000000) {
					Swal.fire({
						title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('AGENCY_LOGO_CHOOSE_FILE_SIZE'); ?>" + '</font>',
						imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
						imageWidth: 50,
						imageHeight: 50,
						imageAlt: 'Custom image',
						html: '<hr class="sweet_hr" />',
						cancelButtonColor: '#FFF',
						showCancelButton: false,
						cancelButtonText: "Ok",
					});
					$(this).val('');
				}
			} else {
				$('#doc_file').val("");
				$('#file_label_text').html("");
				$('#anchoir_image').hide();
				$('.remove_image').hide();
				Swal.fire({
					title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('AGENCY_LOGO_CHOOSE_FILE_EXTENSION'); ?>" + '</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				$(this).val('');
			}
		});
		var number = document.getElementById('contact_no');
		number.onkeydown = function (e) {
			if (!((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 47 && e.keyCode < 58) || e.keyCode == 8 || e.keyCode == 187)) {
				return false;
			} else {
				var max_chars = 10;
				if ($(this).val().length > max_chars) {
					$(this).val($(this).val().substr(0, max_chars));
				}
			}
		}
		var fax = document.getElementById('fax');
		fax.onkeydown = function (e) {
			if (!((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 47 && e.keyCode < 58) || e.keyCode == 8 || e.keyCode == 187)) {
				return false;
			} else {
				var max_chars = 10;
				if ($(this).val().length > max_chars) {
					$(this).val($(this).val().substr(0, max_chars));
				}
			}
		}
		var post_code = document.getElementById('post_code');
		post_code.onkeydown = function (e) {
			if (!((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 47 && e.keyCode < 58) || e.keyCode == 8 || e.keyCode == 187)) {
				return false;
			} else {
				var max_chars = 10;
				if ($(this).val().length > max_chars) {
					$(this).val($(this).val().substr(0, max_chars));
				}
			}
		}
		$(document).on("focusin", "#email", function () {
			if ($.trim($("#email").val()) != "") {
				if (check_email()) {
					$("#wrong_email").hide();
				} else {
					$("#wrong_email").show();
				}
			}
		});
		$(document).on("focusout", "#email", function () {
			if ($.trim($("#email").val()) != "") {
				if (check_email()) {
					$("#wrong_email").hide();
				} else {
					$("#wrong_email").show();
				}
			}
		});
		function check_email() {
			var emailPattern = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;
			if (emailPattern.test($("#email").val()) == true) {
				return true;
			} else {
				return false;
			}
		}
	</script>
<?php
\I::load_error();
?>