<?PHP
\I::load_error("MESSAGE");
?>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_sale', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_BREADCRUMB_TICKET_SALE'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_BREADCRUMB_BUY_TICKET'); ?>
			</div>
			<div class="col-sm-6 pl-3 pt-2">
				<h5 class="m-0 pb-0 module_name">
					<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_NAME'); ?>
				</h5>
			</div>
		</div>
	</div>
</div>
<hr/>
<p class="title font-weight-bold pt-3 category_heading_name mb-2"><?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_LOCTIONS_TEST'); ?> </p>
<form id="buy_ticket" name="buy_ticket" action="" method="post">
	<div class="after_ticket_add">
		<p id="generate_tickets_loader">
			<img class="ticket_generation_loader_icon" src="<?php echo \E::get('obj_curr_module')->get_image_path() . '/custom_loader.gif'; ?>">
			<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_GENERATION_LOADER_TEXT'); ?>
		</p>
	</div>
	<div class="container-fluid ticket_body">
		<div class="btn-group-toggle" data-toggle="buttons">
			<?php
			if (isset($v_location_data) && $v_location_data != '') {
				if (count($v_location_data) > 0) {
					foreach ($v_location_data as $v_key => $v_each_location) { ?>
						<label class="btn btn-outline-secondary buy_ticket_radio font-weight-normal mb-3">
							<input type="radio" name="select_location" class="locations_all_top" value="<?php echo \U::safe_display_string($v_each_location['id']); ?>" onclick="GetDataAGainstLocations(this, '<?php echo \U::safe_display_string($v_each_location['id']); ?>');">
							<?php echo $v_each_location['name']; ?>
						</label>
						<?php
					}
				}
			}
			?>
		</div>
		<div class="modal" id="myModal">
			<div class="modal-dialog">
				<div class="modal-content buy_ticket_qty_modal">
					<div class="modal-body">
						<h3 class="qty_modal_heading">
							<span class="ticket_category_name">  </span> -
							<span class="ticket_profile_name">  </span> <br/>
							<span class="ticket_profile_price">  </span>
						</h3>
						<br/>
						<div class="qty_update_modal_fields_container">
							<div class="qty_text_modal"> <?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_QUANTITY'); ?> </div>
							<div class="qty_modal_imag_container">
								<img class="qty_modal_imag_minus" onclick="qty_increment_decrement('decreement')" src="<?php echo \E::get('obj_curr_module')->get_image_path() . '/qty_minus.png'; ?>">
							</div>
							<div class="qty_input_field_container">
								<input class="qty_input_field main_qty_value" maxlength="5" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');" type="text" name="main_qty_value" value="1"/>
							</div>
							<div class="qty_modal_imag_container_plus" onclick="qty_increment_decrement('increement')">
								<img class="qty_modal_imag_plus" src="<?php echo \E::get('obj_curr_module')->get_image_path() . '/qty_plus.png'; ?>">
							</div>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn update_add_qty_modal_btn_cancel" data-dismiss="modal">
							<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CANCEL_BTN'); ?>
						</button>
						<button type="button" class="btn update_add_qty_modal_btn" onclick="GetValuesAndPutInForm(this)">
							<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_ADD_TO_CART'); ?>
						</button>

						<input type="hidden" id="selected_category_id_modal">
						<input type="hidden" id="selected_category_type_modal">
						<input type="hidden" id="selected_profile_id_modal">
						<input type="hidden" id="selected_profile_name_modal">
						<input type="hidden" id="selected_profile_price_modal">
						<input type="hidden" id="selected_profile_counter_modal">
					</div>
				</div>
			</div>
		</div>
		<div class="row" id="main_container"></div>
	</div>
	<input type="hidden" name="v_save_ticket" value="save">
	<input type="hidden" name="grand_total_record" value="" id="grand_total_record">
	<div class="modal" id="spay_global">
		<div class="modal-dialog">
			<div class="modal-content ">
				<div class="modal-header spay_header_modal" style="display: block">
					<h4 class="modal-title text-center w-100 custom_style">
						<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_TRANSACTION_DETAILS_POPUP_HEADING'); ?>
					</h4>
				</div>
				<div class="modal-body" id="merchant_scan_customer_container_form">
				</div>
				<div class="modal-footer">
					<div id="footer_button_container">
						<button type="button" class="btn btn-default" data-dismiss="modal">
							<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CANCEL_BTN'); ?>
						</button>
						<button type="button" class="btn confirm_payment_spay_modal_button" onclick="confirm_payment_spay_global();">
							<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CONFIRM_PAYMENT'); ?>
						</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>
<script type="text/javascript">
	function reset_Form_values() {
		$("#qr_bar_code_verified_status").val(0);
		$("#qr_bar_code_verified_json").val("");
		$("#transaction_verified_status").val(0);
		$("#transaction_verified_json").val("");
		$("#qr_code_number").val("");
		$("#qr_code_number").prop("readonly", false);
		$(".verify_bar_qr_code_btn").prop("disabled", false);
		$(".verify_bar_code_text").html("Verify");
		$(".error_barcode").hide();
		$(".success_barcode").hide();
		$("#spay_global_transaction_number_against_bar_code").val("");
		$("#spay_global_transaction_number_against_bar_code").prop("readonly", false);
		$(".verify_transaction_number_btn_against_bar_code").prop("disabled", false);
		$(".verify_bar_code_text_against_bar_code").html("Verify");
		$(".error_transaction_number_against_bar_code").hide();
		$(".success_transaction_number_against_bar_code").hide();
		$("#footer_button_container").hide();
	}
	function verify_transaction_number_against_bar_code(e = null) {
		if (e) {
			var max_chars = 20;
			var a = $("#spay_global_transaction_number_against_bar_code").val();
			var b = a.replace(/[^a-z0-9]/gi, '');
			$("#spay_global_transaction_number_against_bar_code").val(b)
			if (((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 65 && e.keyCode < 91) || (e.keyCode > 47 && e.keyCode < 58))) {
				if ($("#spay_global_transaction_number_against_bar_code").val().length > max_chars) {
					$("#spay_global_transaction_number_against_bar_code").val($("#spay_global_transaction_number_against_bar_code").val().substr(0, max_chars));
				}
			} else if ((e.keyCode == 8 || e.keyCode == 39 || e.keyCode == 37)) {
				return false;
			} else {
				return false;
			}
		}
		$("#footer_button_container").hide();
		$(".verify_bar_code_text_against_bar_code").show();
		$(".verify_bar_code_text_against_bar_code").html("Verify");
		$("#transaction_verified_status").val(0);
		$("#transaction_verified_json").val("");
		window.onbeforeunload = function () {
			return "Changes you made may not be saved.";
		}
		var transaction_number = $.trim($("#spay_global_transaction_number_against_bar_code").val());
		$(".verify_transaction_number_btn_against_bar_code").prop("disabled", false);
		if (transaction_number) {
			$(".success_transaction_number_against_bar_code").hide();
			if (transaction_number.length == 20) {
				$(".error_transaction_number_against_bar_code").fadeOut(1000);
				$(".error_transaction_number_against_bar_code").html("");
				$(".success_transaction_number_against_bar_code").hide();
				$("#spay_global_transaction_number_against_bar_code").prop("readonly", true);
				$(".verify_transaction_number_btn_against_bar_code").prop("disabled", true);
				$(".verify_bar_code_text_against_bar_code").hide();
				$(".verify_transaction_loader_against_bar_code").fadeIn();

				var selected_location = $("input[name='select_location']:checked").val();
				if( $.trim(selected_location) != '' && selected_location != undefined ) {
					var payment_method_option = $("#payment_method option:selected").val();
					if (payment_method_option && payment_method_option != '') {
						var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'code_validate_ajax'); ?>';
						var v_url = v_list_url + '?transaction_number=' + escape(transaction_number) + '&payment_method_option=' + escape(payment_method_option) + '&selected_location=' + escape(selected_location);
						var v_response = makeGETRequest(v_url, '', 'ajaxResponseTransactionNumber', '', '', '');
					} else {
						Swal.fire({
							title: '<font  class="title_heading">Please Select Payment Method</font>',
							imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
							imageWidth: 50,
							imageHeight: 50,
							imageAlt: 'Custom image',
							html: '<hr class="sweet_hr" />',
							cancelButtonColor: '#FFF',
							showCancelButton: false,
							cancelButtonText: "Ok",
						});
					}

				} else {
					Swal.fire({
						title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_SELECT_AT_LEAST_ONE_LOCATION'); ?>" + '</font>',
						imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
						imageWidth: 50,
						imageHeight: 50,
						imageAlt: 'Custom image',
						html: '<hr class="sweet_hr" />',
						cancelButtonColor: '#FFF',
						showCancelButton: false,
						cancelButtonText: "Ok",
					});
					return false;
					return;
				}
			} else {
				$(".error_transaction_number_against_bar_code").html("Transaction Number must be 20 Digits longer.");
				$(".error_transaction_number_against_bar_code").fadeIn(1000);
				$(".success_transaction_number_against_bar_code").hide();
			}
		} else {
			$(".error_transaction_number_against_bar_code").html("20 Digit Transaction Number is Required");
			$(".error_transaction_number_against_bar_code").fadeIn(1000);
			$(".success_transaction_number_against_bar_code").hide();
		}
	}
	function ajaxResponseTransactionNumber(response) {
		$("#transaction_verified_status").val(0);
		$("#transaction_verified_json").val("");
		$(".verify_transaction_loader_against_bar_code").hide();
		$(".verify_bar_code_text_against_bar_code").html("");
		$(".verify_bar_code_text_against_bar_code").fadeIn();
		if ($.trim(response) && $.trim(response) != '') {
			if( response == "wrong_details_merchant_id") {
				Swal.fire({
					title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_WRONG_CREDENTIALS_SPAY'); ?>" + '</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				$(".verify_bar_code_text").html("Verify");
				$(".verify_bar_qr_code_btn").prop("disabled", false);
				$("#qr_code_number").prop("readonly", false);
				return false;
				return;
			} else {
				const obj = JSON.parse(response);
				if (obj) {
					var v_grand_total = $(".grand_total").html().replace(/[^\d.]/g, '');
					if ((obj.ResStatus == '0') && (obj.orderStatus == '1') && (parseFloat(obj.orderAmt) == parseFloat(v_grand_total))) {
						$("#spay_global_transaction_number_against_bar_code").prop("readonly", true);
						$(".verify_transaction_number_btn_against_bar_code").prop("disabled", true);
						$(".success_transaction_number_against_bar_code").fadeIn(1000);
						$(".error_transaction_number_against_bar_code").hide();
						$(".success_transaction_number_against_bar_code").html("Transaction Number is Valid!");
						$(".verify_bar_code_text_against_bar_code").html("<img src='<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>' style='height:20px;'> ");
						$("#transaction_verified_status").val(1);
						$("#transaction_verified_json").val(response);
						if ($("#transaction_verified_status").val() == '1') {
							$("#footer_button_container").fadeIn(700);
						}
					} else {
						$(".error_transaction_number_against_bar_code").fadeIn(1000);
						$(".success_transaction_number_against_bar_code").hide();
						if (obj.orderStatus == '4' || obj.orderStatus == '2') {
							$(".error_transaction_number_against_bar_code").html("Payment status is failed");
						} else if (obj.orderStatus == '0') {
							$(".error_transaction_number_against_bar_code").html("Payment is waiting for user’s confirmation.");
						} else if ( obj.orderAmt && (parseFloat(obj.orderAmt) != parseFloat(v_grand_total)) ) {
							$(".error_transaction_number_against_bar_code").html("Order amount is not equal to transaction amount.");
						} else {
							$(".error_transaction_number_against_bar_code").html(obj.ResMsg);
						}
						$(".verify_bar_code_text_against_bar_code").html("Verify");
						$(".verify_transaction_number_btn_against_bar_code").prop("disabled", false);
						$("#spay_global_transaction_number_against_bar_code").prop("readonly", false);
					}
				} else {
					$(".error_transaction_number_against_bar_code").fadeIn(1000);
					$(".error_transaction_number_against_bar_code").html("Invalid Transaction Code");
					$(".verify_bar_code_text_against_bar_code").html("Verify");
					$(".verify_transaction_number_btn_against_bar_code").prop("disabled", false);
					$("#spay_global_transaction_number_against_bar_code").prop("readonly", false);
				}
			}
		} else {
			$(".error_transaction_number_against_bar_code").fadeIn(1000);
			$(".error_transaction_number_against_bar_code").html("Invalid Transaction Code");
			$(".verify_bar_code_text_against_bar_code").html("Verify");
			$(".verify_transaction_number_btn_against_bar_code").prop("disabled", false);
			$("#spay_global_transaction_number_against_bar_code").prop("readonly", false);
		}
	}
	function verify_bar_qr_code(e = null) {
		if (e) {
			var max_chars = 18;
			var a = $("#qr_code_number").val();
			var b = a.replace(/[^0-9]/gi, '');
			$("#qr_code_number").val(b)
			if ((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 47 && e.keyCode < 58)) {
				if ($("#qr_code_number").val().length > max_chars) {
					$("#qr_code_number").val($("#qr_code_number").val().substr(0, max_chars));
				}
			} else if ((e.keyCode == 8 || e.keyCode == 187 || e.keyCode == 39 || e.keyCode == 37)) {
				return false;
			} else {
				return false;
			}
		}
		$(".verify_bar_code_text").show();
		$(".verify_bar_code_text").html("Verify");
		$("#qr_bar_code_verified_status").val(0);
		$("#qr_bar_code_verified_json").val("");
		window.onbeforeunload = function () {
			return "Are you sure to redirect?";
		}
		var qr_code_number = $.trim($("#qr_code_number").val());
		$(".verify_bar_qr_code_btn").prop("disabled", false);
		if (qr_code_number) {
			$(".success_barcode").hide();
			if (qr_code_number.length == 18) {
				$(".error_barcode").fadeOut(1000);
				$(".error_barcode").html("");
				$(".success_barcode").hide();
				$("#qr_code_number").prop("readonly", true);
				$(".verify_bar_qr_code_btn").prop("disabled", true);
				$(".verify_bar_code_text").hide();
				$(".verify_bar_code_loader").fadeIn();

				var selected_location = $("input[name='select_location']:checked").val();
				if( $.trim(selected_location) != '' && selected_location != undefined ) {
					var v_grand_total = $(".grand_total").html().replace(/[^\d.]/g, '');
					var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'code_validate_ajax'); ?>';
					var v_url = v_list_url + '?qr_code_number=' + escape(qr_code_number) + '&v_price=' + v_grand_total + '&selected_location=' + selected_location;
					var v_response = makeGETRequest(v_url, '', 'ajaxResponse', '', '', '');
				} else {
					Swal.fire({
						title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_SELECT_AT_LEAST_ONE_LOCATION'); ?>" + '</font>',
						imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
						imageWidth: 50,
						imageHeight: 50,
						imageAlt: 'Custom image',
						html: '<hr class="sweet_hr" />',
						cancelButtonColor: '#FFF',
						showCancelButton: false,
						cancelButtonText: "Ok",
					});
					return false;
					return;
				}
			} else {
				$(".error_barcode").html("QR/Barcode must be 18 Digits longer.");
				$(".error_barcode").fadeIn(1000);
				$(".success_barcode").hide();
			}
		} else {
			$(".error_barcode").html("18 Digit QR/Barcode Required");
			$(".error_barcode").fadeIn(1000);
			$(".success_barcode").hide();
		}
	}
	function ajaxResponse(response) {
		$("#qr_bar_code_verified_status").val(0);
		$("#qr_bar_code_verified_json").val("");
		$(".verify_bar_code_loader").hide();
		$(".verify_bar_code_text").html("");
		$(".verify_bar_code_text").fadeIn();
		
		if( response == "wrong_details_merchant_id") {
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_WRONG_CREDENTIALS_SPAY'); ?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			$(".verify_bar_code_text").html("Verify");
			$(".verify_bar_qr_code_btn").prop("disabled", false);
			$("#qr_code_number").prop("readonly", false);
			return false;
			return;
		} else {
			const obj = JSON.parse(response);
			if (obj) {
				if (obj.ResStatus == '0') {
					$("#qr_code_number").prop("readonly", true);
					$(".verify_bar_qr_code_btn").prop("disabled", true);
					$(".success_barcode").fadeIn(1000);
					$(".error_barcode").hide();
					$(".success_barcode").html("QR/Barcode Verified! Request is Successfully Sent to Customer.");
					$(".verify_bar_code_text").html("<img src='<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>' style='height:20px;'> ");
					$("#qr_bar_code_verified_status").val(1);
					$("#qr_bar_code_verified_json").val(response);
					if ($("#transaction_verified_status").val() == '1') {
						$("#footer_button_container").fadeIn(700);
					}
				} else {
					$(".error_barcode").fadeIn(1000);
					$(".success_barcode").hide();
					if (obj.ResMsg == "Encryption string error") {
						$(".error_barcode").html("Invalid Barcode, please refresh.");
					} else {
						$(".error_barcode").html(obj.ResMsg);
					}
					$(".verify_bar_code_text").html("Verify");
					$(".verify_bar_qr_code_btn").prop("disabled", false);
					$("#qr_code_number").prop("readonly", false);
				}
			}
		}
	}
	function confirmPaymentSubmitForm() {
		var v_ticket_person_email = $("#ticket_person_email").val();
		var v_email_checker = true;
		if (v_ticket_person_email != "") {
			if (isEmail(v_ticket_person_email) == false) {
				v_email_checker = false;
			}
		}
		if (v_email_checker === true) {
			var payment_method = parseInt($("#payment_method option:selected").val());
			if (payment_method == 2 || payment_method == 3) {
				if (payment_method == 2) {
					spay_payment_mode("merchant_scan_customer");
				} else if (payment_method == 3) {
					spay_payment_mode("customer_scan_merchant");
				}
			} else {
				var v_grand_total = $(".grand_total").html().replace(/[^\d.]/g, '');
				$("#grand_total_record").val(v_grand_total);
				var v_form_data = $("#buy_ticket").serialize();
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'code_validate_ajax'); ?>';
				var v_response = makePOSTRequest(v_list_url, v_form_data, '', 'after_load_save_ticket', '');
			}
		} else {
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_EMAIL_NOT_VALID'); ?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
		}
	}
	function spay_payment_mode(payment_mode_type) {
		$("#footer_button_container").hide();
		$("#qr_bar_code_verified_status").val(0)
		$("#transaction_verified_status").val(0)
		$("#transaction_verified_json").val("");
		$("#qr_bar_code_verified_json").val("");
		var interval_1000 = 1000;
		var interval_300;
		if (payment_mode_type && payment_mode_type != '') {
			var v_grand_total = $(".grand_total").html().replace(/[^\d.]/g, '');
			$("#grand_total_record").val(v_grand_total);
			var v_form_data = $("#buy_ticket").serialize();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'check_tickets_limitation_per_day'); ?>';
			makePOSTRequest(v_list_url, v_form_data, '', 'after_load_save_ticket_spay', '');
		}
	}
	function after_load_save_ticket_spay(response) {
		var myArray = "";
		if (response.indexOf('limit_reached') > -1) {
			myArray = response.split("==");
		}
		if (myArray != "") {
			Swal.fire({
				title: '<font  class="title_heading">' + myArray[1] + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
			return;
		}
		if (myArray == '') {
			var payment_mode_type = "";
			var payment_method = parseInt($("#payment_method option:selected").val());
			if (payment_method == 2 || payment_method == 3) {
				if (payment_method == 2) {
					payment_mode_type = "merchant_scan_customer";
				} else if (payment_method == 3) {
					payment_mode_type = "customer_scan_merchant";
				}
			}
			if (payment_mode_type != '') {
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?payment_mode_type_form=' + escape(payment_mode_type);
				var v_response = makeGETRequest(v_url, '', 'payment_mode_form_response', '', '', '');
				$("#spay_global").modal("show");
			} else {
				Swal.fire({
					title: '<font  class="title_heading">Please select payment menthod first.</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
			}
		}
	}
	function payment_mode_form_response(response) {
		if (response && response != '') {
			$("#merchant_scan_customer_container_form").html(response);
		}
	}
	function qty_increment_decrement(action) {
		var v_qty = parseInt($(".main_qty_value").val())
		if (!isNaN(v_qty) && v_qty >= 1) {
			if (action == "increement") {
				$(".main_qty_value").val(++v_qty);
				if ($(".main_qty_value").val() > 99999) {
					$(".main_qty_value").val(99999);
				}
			} else if (action == "decreement") {
				$(".main_qty_value").val(--v_qty);
				if ($(".main_qty_value").val() == 0) {
					$(".main_qty_value").val(1);
				}
			}
		} else {
			$(".main_qty_value").val(1);
		}
	}
	function GetDataAGainstLocations(_this, p_location_id) {
		if (p_location_id && p_location_id != "") {
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?p_location_id=' + escape(p_location_id) + '&v_action=get';
			var v_response = makeGETRequest(v_url, 'main_container', '', '', '', '');
		}
	}
	function profile_container_clicked(_this, template_exists, buttin_text = null) {
		if (template_exists == 0) {
			Swal.fire({
				title: '<font  class="title_heading">This ticket profile does not have any Ticket Template.<br />Please create one in Ticket Template or contact the administrator.</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
		} else {
			$('#myModal').modal('show');
			var v_profile_name = $(_this).parents(".ticket_elements_each").find(".element_name").val();
			var v_profile_price = $(_this).parents(".ticket_elements_each").find(".element_price").val()
			var v_element_counter = $(_this).parents(".ticket_elements_each").find(".element_counter").val()
			var v_category_id = $(_this).parents(".ticket_elements_each").find(".category_id").val()
			var v_category_type = $(_this).parents(".ticket_elements_each").find(".category_type").val()
			var v_profile_id = $(_this).parents(".ticket_elements_each").find(".profile_id").val()
			$("#selected_profile_name_modal").val(v_profile_name);
			$("#selected_profile_price_modal").val(v_profile_price);
			$("#selected_profile_counter_modal").val(v_element_counter);
			$("#selected_category_id_modal").val(v_category_id);
			$("#selected_category_type_modal").val(v_category_type);
			$("#selected_profile_id_modal").val(v_profile_id);
			if ($(".row_no_" + v_element_counter)[0]) {
				v_element_already_entered_qty = parseInt(($(".row_no_" + v_element_counter).find(".table_added_qty_row").html()));
				$(".main_qty_value").val(v_element_already_entered_qty);
				$(".update_add_qty_modal_btn").html("Update Cart");
			} else {
				$(".main_qty_value").val(1);
				$(".update_add_qty_modal_btn").html("Add to Cart");
			}
			$(".ticket_category_name").html($(_this).parents(".each_Category_main_container").find(".category_heading_name").html());
			$(".ticket_profile_name").html(v_profile_name);
			$(".ticket_profile_price").html("RM" + v_profile_price);
			$(_this).parents(".ticket_elements_each").find(".quantity").fadeIn(1000);
			$(_this).parents(".ticket_elements_each").find(".save_qty").fadeIn(1000);
			$(_this).parents(".ticket_elements_each").find(".save_qty_btn_cross").fadeIn(1000);
		}
	}
	function GetValuesAndPutInForm(_this) {
		document.getElementById("person_charge").focus();
		$(".confirm_payment_btn").hide();
		$('#myModal').modal('hide');
		var v_row_html = "";
		var v_element_name = $("#selected_profile_name_modal").val();
		var v_element_price = $("#selected_profile_price_modal").val();
		var v_element_counter = $("#selected_profile_counter_modal").val();
		var v_category_id = $("#selected_category_id_modal").val();
		var v_selected_category_type_modal = $("#selected_category_type_modal").val();
		var v_profile_id = $("#selected_profile_id_modal").val();
		var v_element_qty = parseInt($(_this).parents(".buy_ticket_qty_modal").find(".main_qty_value").val());
		if ($(".row_no_" + v_element_counter)[0]) {
			$(".row_no_" + v_element_counter).find(".table_added_qty_row").html(v_element_qty);
			var v_qty_unit = $(".row_no_" + v_element_counter).find(".each_row_unit_total").html();
			v_qty_unit = v_qty_unit.replace(/[^\d.]/g, '');
			$(".row_no_" + v_element_counter).find(".each_row_total").html("RM" + numberWithCommas((v_element_qty * v_qty_unit).toFixed(2)));
			$(".row_no_" + v_element_counter).find(".selected_quantity_list").val(v_element_qty);
		} else {
			v_row_html += "<tr data-row_count=" + v_element_counter + " class=row_no_" + v_element_counter + " style='height:50px;'>";
			v_row_html += "<td class='text-left remove_row' onclick='hide_qty_box_and_save_icon(this)'>X</td>";
			v_row_html += "<td style='word-break: break-all;' class='text-left'>" + v_element_name + "<input type='hidden' value='" + v_profile_id + "' class='selected_profile_id_list' name='selected_quantity_list[" + v_element_counter + "][profile_id]' /><input type='hidden' value='" + v_category_id + "' class='selected_category_id_list' name='selected_quantity_list[" + v_element_counter + "][category_id]' /><input type='hidden' value='" + v_element_qty + "' class='selected_quantity_list' name='selected_quantity_list[" + v_element_counter + "][quantity]' /><input type='hidden' value='" + v_element_price + "' class='selected_profile_price_list' name='selected_quantity_list[" + v_element_counter + "][price]' /><input type='hidden' value='" + v_selected_category_type_modal + "' class='selected_category_list' name='selected_quantity_list[" + v_element_counter + "][category_type]' /></td>";
			v_row_html += "<td class='table_added_qty_row'>" + v_element_qty + "</td>";
			v_row_html += "<td class='text-right each_row_unit_total'>RM" + numberWithCommas(v_element_price) + "</td>";
			v_row_html += "<td class='text-right each_row_total'>RM" + numberWithCommas((v_element_price * v_element_qty).toFixed(2)) + "</td>";
			v_row_html += "<td class='text-right edit_row' onclick='edit_row_records(this)'> Edit </td>";
			v_row_html += "<tr>";
			$("#table_tr_data").append(v_row_html);
		}
		$(".profile_name_continer_" + v_element_counter).addClass("main_each_profile_container_active");
		apply_qty();
		getGrandTotal();
		generalFunction();
	}
	function hide_qty_box_and_save_icon(_this) {
		Swal.fire({
			title: '<font class="title_heading">Are you sure to remove?</font>',
			imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
			imageWidth: 50,
			imageHeight: 50,
			imageAlt: 'Custom image',
			html: '<hr class="sweet_hr" />',
			cancelButtonColor: '#FFF',
			confirmButtonColor: '#337AB7',
			showCloseButton: true,
			showCancelButton: true,
			cancelButtonText: "No",
			confirmButtonText: "Yes",
		}).then((result) => {
			if (result.value) {
				$(".confirm_payment_btn").hide();
				var v_element_id = $(_this).parents("tr").attr("class").replace(/[^\d.]/g, '');
				$(".profile_name_continer_" + v_element_id).removeClass("main_each_profile_container_active");
				$(_this).parents("tr").remove();
				apply_qty();
				getGrandTotal();
				generalFunction();
			}
		});
	}
	function edit_row_records(_this) {
		var v_element_id = $(_this).parents("tr").attr("class").replace(/[^\d.]/g, '');
		$(".profile_name_continer_" + v_element_id).trigger("click");
		apply_qty();
		getGrandTotal();
		generalFunction();
	}
	function apply_qty() {
		var v_total_qty = 0;
		$(".table_added_qty_row").each(function () {
			var v_element_qty = parseInt($(this).html());
			v_total_qty = v_total_qty + v_element_qty;
		});
		if (v_total_qty > 0) {
			$(".total_qty").html(v_total_qty);
		} else {
			$(".total_qty").html(0);
		}
	}
	function generalFunction() {
		$("#person_charge").val("");
		var v_selected_fields = parseInt($(".main_each_profile_container_active").length);
		if (v_selected_fields > 0) {
			$(".payment_preview").fadeIn(500);
		} else {
			$(".payment_preview").fadeOut(500);
		}
	}
	function getGrandTotal() {
		var v_total_grand = getOnlyGrandTotal();
		$(".grand_total").html("RM" + numberWithCommas(v_total_grand.toFixed(2)));
	}
	function calculate_price(input_val) {
		if (parseFloat(input_val) >= 0) {
			var v_total_grand = getOnlyGrandTotal();
			$(".total_remaining").html(numberWithCommas((input_val - v_total_grand).toFixed(2)));
			if (input_val >= v_total_grand) {
				$(".confirm_payment_btn").show();
			} else {
				$(".confirm_payment_btn").hide();
			}
		} else {
			$(".total_remaining").html("0.00");
		}
	}
	function getOnlyGrandTotal() {
		var v_total_price = 0.00;
		$(".each_row_total").each(function () {
			var v_element_price = parseFloat($(this).html().replace(/[^\d.]/g, ''));
			v_total_price = v_total_price + v_element_price;
		});
		return v_total_price;
	}
	function isEmail(email) {
		var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
		return regex.test(email);
	}
	function confirm_payment_spay_global() {
		$(".confirm_payment_spay_modal_button").prop("disabled", true);
		var v_grand_total = $(".grand_total").html().replace(/[^\d.]/g, '');
		$("#grand_total_record").val(v_grand_total);
		var v_form_data = $("#buy_ticket").serialize();
		var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'code_validate_ajax'); ?>';
		var v_response = makePOSTRequest(v_list_url, v_form_data, '', 'after_load_save_ticket', '');
	}
	function after_load_save_ticket(response) {
		var myArray = "";
		if (response.indexOf('limit_reached') > -1) {
			myArray = response.split("==");
		}
		if (myArray != "") {
			Swal.fire({
				title: '<font  class="title_heading">' + myArray[1] + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
			return;
		}
		if (response != '') {
			$(".after_ticket_add").show();
			$(".confirm_payment_btn").hide();
			$(".reprint_btn_main").fadeIn(500);
			$(".buttons_container").append(response);
			var newly_ceated_transaction_id = $("#newly_ceated_transaction_id").val();
			if (newly_ceated_transaction_id && newly_ceated_transaction_id != '') {
				$(window).unbind('onbeforeunload');
				window.onbeforeunload = false;
				window.location.href = newly_ceated_transaction_id;
			}
		} else {
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_TRANSACTION_DECLINED'); ?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
		}
	}
	function sarawak_payment_option(payment_value) {
		if (payment_value) {
			if (payment_value == 2 || payment_value == 3) {
				$("#person_charge").val(getOnlyGrandTotal());
				calculate_price(getOnlyGrandTotal());
				$(".payment_container").removeClass("col-md-5");
				$(".payment_container").addClass("col-md-11");
				$(".payment_price_container").hide();
				$(".change_container").hide();
			} else {
				$("#person_charge").val(0.00);
				calculate_price(getOnlyGrandTotal());
				$(".confirm_payment_btn").hide();
				$(".payment_container").addClass("col-md-5");
				$(".payment_container").removeClass("col-md-11");
				$(".change_container").fadeIn(700);
				const myTimeout = setTimeout(myGreeting, 500);
				function myGreeting() {
					$(".payment_price_container").fadeIn(700);
				}
			}
		}
	}
	function numberWithCommas(x) {
		return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
	}
	jQuery(window).on("load", function(){
		$(".locations_all_top")[0].click();

		$(document).on("click",".main_each_profile_container, .update_add_qty_modal_btn_cancel, .update_add_qty_modal_btn, .edit_row, .remove_row",function() {
			document.getElementById("person_charge").focus();
		});

	});
</script>