<div class="row">
	<div class="col-md-11 pt-0 pb-5 m-4 ticket_solds">
		<h2><?php echo \E::get('obj_curr_module_lang')->get('HOME_TICKET_SOLD'); ?><?php echo $v_current_year; ?></h2>
	</div>
</div>
<br/><br/>
<div class="row container statistic_container col-md-12">
	<div class="col-md-11">
		<canvas id="myChart"></canvas>
	</div>
</div>
<br/><br/>
<script>
	var ctx = document.getElementById("myChart");
	var data = {
		labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'],
		datasets: [{
			label: "Tickets Sold",
			data: [<?php
				foreach ($v_monthly_data as $v_key => $v_each_mont_count) {
					if ($v_key != 0) {
						echo ",";
					}
					echo $v_each_mont_count;
				}
				?>],
			backgroundColor: "#4082c4"
		}]
	}
	var myChart = new Chart(ctx, {
		type: 'bar',
		data: data,
		options: {
			"hover": {
				"animationDuration": 0
			},
			"animation": {
				"duration": 1,
				"onComplete": function () {
					var chartInstance = this.chart,
						ctx = chartInstance.ctx;
					ctx.font = Chart.helpers.fontString(Chart.defaults.global.defaultFontSize, Chart.defaults.global.defaultFontStyle, Chart.defaults.global.defaultFontFamily);
					ctx.textAlign = 'center';
					ctx.textBaseline = 'bottom';
					this.data.datasets.forEach(function (dataset, i) {
						var meta = chartInstance.controller.getDatasetMeta(i);
						meta.data.forEach(function (bar, index) {
							var data = dataset.data[index];
							if (data > 0) {
								ctx.fillText(data, bar._model.x, bar._model.y - 5);
							}
						});
					});
				}
			},
			legend: {
				"display": true
			},
			tooltips: {
				"enabled": true
			},
			scales: {
				yAxes: [{
					ticks: {
						beginAtZero: true,
						stepSize: 5,
						callback: function (value) {
							if (value % 1 === 0) {
								return value;
							}
						}
					}
				}]
			}
		}
	});
</script>
