<?php \I::load_error("MESSAGE");
$v_access_delete = \E::get('obj_curr_module')->ajax_validation_check_permission('delete');
$v_access_edit = \E::get('obj_curr_module')->ajax_validation_check_permission('edit');
$v_readoilny_status = "";
$v_edit_process_path = "";
if (isset($v_controller_name) && $v_controller_name == "view") {
	$v_readoilny_status = "readonly";
	$v_controller_name = $v_controller_name;
} else {
	$v_edit_process_path = \E::get('obj_curr_module')->build_action_path('ticket_category', 'edit', $v_id);
	$v_controller_name = "";
}
?>
	<form id="frm_acl" action="<?php echo $v_edit_process_path; ?>" name="frm_acl" method="post" enctype="multipart/form-data">
		<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
			<input type="hidden" name="old_value" value='<?php echo json_encode($v_view_data); ?>'>
			<div class="container-fluid">
				<div class="row mb-2">
					<div class="col-sm-12 breadcrumb_container">
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_BREADCRUMB_HOME'); ?>
						</a> /
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_BREADCRUMB_SETUP_CONFIGURATION'); ?>
						</a> /
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_setting', 'list'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_BREADCRUMB_TICKET_SETTINGS'); ?>
						</a> /
						<?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_BREADCRUMB_TICKET_CATEGORY'); ?>
					</div>
					<div class="col-sm-12 pl-3 pt-3">
						<h5 class="m-0 pb-0 module_name">
							<?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_BREADCRUMB_TICKET_CATEGORY_EDIT'); ?>
						</h5>
					</div>
				</div>
			</div>
		</div>
		<hr/>
		<div class="row form-group">
			<label for="ticket_category_code" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_CATEGORY_CODE'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-8">
				<input type="text" class="text form-control compulsory" maxlength="40" max="40"  name="ticket_category_code" id="ticket_category_code" value="<?php echo \U::safe_display_string($v_view_data['code']); ?>" <?php echo $v_readoilny_status; ?> />
				<span class="text-danger" id="username_duplicate_check"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_category_name" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_CATEGORY_NAME'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-8">
				<input type="text" class="text form-control compulsory" maxlength="40" max="40"  name="ticket_category_name" id="ticket_category_name" value="<?php echo \U::safe_display_string($v_view_data['name']); ?>" <?php echo $v_readoilny_status; ?> />
				<span class="text-danger" id="username_duplicate_check_name"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_category_type" class="col-sm-3 col-form-label "> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_CATEGORY_TYPE'); ?>
				<span class="text-danger">*</span> </label>
			<div class="col-sm-8">
				<?php
				$v_category_type_key = \U::safe_display_string($v_view_data['category_type_key']);
				$v_category_type_value = \U::safe_display_string($v_view_data['category_type_value']);
				?>
				<!-- onchange="get_agency_locations(this);" -->
				<select class="form-control compulsory" onchange="getCategoryText();" id="ticket_category_type" name="ticket_category_type">
					<option value=""></option>
					<?php
					if (isset($v_category_types) && count($v_category_types) > 0) {
						foreach ($v_category_types as $key => $each_category) {
							if ($v_category_type_key == $each_category['id']) { ?>
								<option selected value="<?php echo \U::safe_display_string($each_category['id']); ?>"><?php echo \U::safe_display_string($each_category['key_value']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($each_category['id']); ?>"><?php echo \U::safe_display_string($each_category['key_value']); ?></option>
								<?php
							}
						}
					}
					?>
				</select>
			</div>
		</div>
		<input type="hidden" name="ticket_category_type_text" value="<?php echo $v_category_type_value; ?>" id="ticket_category_type_text">
		<div class="row form-group">
			<label for="ticket_category_description" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_CATEGORY_DESCRIPTION'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-8">
				<input type="text" class="text form-control compulsory" name="ticket_category_description" id="ticket_category_description" value="<?php echo \U::safe_display_string($v_view_data['description']); ?>" <?php echo $v_readoilny_status; ?> />
			</div>
		</div>
		<div class="row form-group">
			<label for="ticket_agency_name" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_AGENCY_NAME'); ?> </label>
			<div class="col-sm-8">
				<!-- onchange="get_agency_locations();" -->
				<select class="form-control compulsory" id="ticket_agency_name" name="ticket_agency_name" <?php echo $v_readoilny_status; ?>>
					<?php
					$v_logged_in_user_type = \E::get_session('logged_in_user_type');
					if ($v_logged_in_user_type == 0) { ?>
						<option value=""></option>
						<?php
					}
					if (isset($v_agency_dta) && count($v_agency_dta) > 0) {
						foreach ($v_agency_dta as $key => $v_agency_dta) {
							if ($v_user_agency == $v_agency_dta['ag_id']) { ?>
								<option selected value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							}
						}
					} ?>
				</select>
			</div>
		</div>
		<!-- <div class="row form-group">
			<label for="ticket_location" class="col-sm-3 col-form-label"> <?php //echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_LOCATION'); ?> </label>
			<div class="col-sm-8">
				<?php //$v_location_value = \U::safe_display_string($v_view_data['location']); ?>
				<input type="hidden" name="selected_location_id" id="selected_location_id" value="<?php //echo $v_location_value; ?>">
				<select name="ticket_location" id="ticket_location_validate" class="form-control">
					<option value=""></option>
				</select>
			</div>
		</div> -->
		<div class="row form-group">
			<label for="ticket_remarks" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_REMARKS'); ?></label>
			<div class="col-sm-8">
				<input type="text" class="text form-control" name="ticket_remarks" id="ticket_remarks_validate" value="<?php echo \U::safe_display_string($v_view_data['remarks']); ?>" <?php echo $v_readoilny_status; ?> />
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_upadted_date" class="col-sm-3 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_UPDATED_DATE'); ?></label>
			<div class="col-sm-8">
				<input type="text" class="form-control" name="usr_upadted_date" id="usr_upadted_date" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_UPDATED_DATE'); ?>" value="<?php echo \U::safe_display_string(date("d/m/Y H:i:s", strtotime($v_re_modified_date))); ?>" readonly>
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_last_upadted_date" class="col-sm-3 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_LATS_UPDATED_DATE'); ?></label>
			<div class="col-sm-8">
				<input type="text" class="form-control " name="usr_last_upadted_date" id="usr_last_upadted_date" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_LATS_UPDATED_DATE'); ?>" value="<?php echo \U::safe_display_string($v_re_modified_by); ?>" readonly>
			</div>
		</div>
		<div class="row">
			<div class="col-md-2"></div>
			<div class="col-md-5 text-center">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_category', 'list'); ?>">
					<button type="button" class="btn btn-default w-auto-im">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_BACK_TO_LISTING'); ?>
					</button>
				</a>
				<?php
				if ($v_access_delete) {
					if (isset($v_prifle_made_status) && $v_prifle_made_status > 0) { ?>
						<button type="button" class="btn btn-danger" disabled title="The Categoy is assigned to the Profiles, Can't be Deleted.">
							<?php echo \E::get('obj_kernel_lang')->get('BTN_DELETE'); ?>
						</button>
						<?php
					} else { ?>
						<a href="javascript:void(0)" onclick="delete_record(<?php echo $v_id; ?>)">
							<button type="button" class="btn btn-danger">
								<?php echo \E::get('obj_kernel_lang')->get('BTN_DELETE'); ?>
							</button>
						</a>
						<?php
					}
				}
				if ($v_access_edit) { ?>
					<button type="button" class="btn btn-primary" id="submit_form" onclick="check_validations()">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_EDIT_UPDATE'); ?>
					</button>
					<?php
				}
				?>
			</div>
		</div>
	</form>
	<script>
		/*function get_agency_locations() {
			var v_agency_id = $("#ticket_agency_name").val();
			var v_location_id = $("#selected_location_id").val();
			var v_list_url = '<?php //echo \E::get('obj_curr_module')->build_action_path('ticket_category', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_agency_id=' + escape(v_agency_id) + '&v_location_id=' + escape(v_location_id);
			var v_response = makeGETRequest(v_url, 'ticket_location_validate', 'after_locationns_load', 'false');
		}
		function after_locationns_load(response) {
			$("#ticket_location_validate").html(response);
		}*/
		function check_validations() {
			if (validate(document.frm_acl)) {
				$("#submit_form").prop("disabled", true);
				var v_location_code = $("#ticket_category_code").val();
				var v_ticket_category_type_text = $("#ticket_category_type option:selected").val();
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_category', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_location_code=' + escape(v_location_code) + '&v_action=edit' + '&v_primary_table_id='+<?php echo $v_id;?>+
				'&v_ticket_category_type_text=' + v_ticket_category_type_text;
				var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', '', '', '');
			}
		}
		function after_load(response) {
			var v_check_error_found = $('#duplication_error_found').val();
			if (v_check_error_found != 1) {
				$("#submit_form").prop("disabled", true);
				var v_location_name = $("#ticket_category_name").val();
				var v_ticket_category_type_text = $("#ticket_category_type option:selected").val();
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_category', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_location_name=' + escape(v_location_name) + '&v_action=edit' + '&v_primary_table_id='+<?php echo $v_id;?>+
				'&v_ticket_category_type_text=' + v_ticket_category_type_text;
				;
				var v_response = makeGETRequest(v_url, 'username_duplicate_check_name', 'after_load_name', '', '', '');
			} else {
				$('#ticket_category_code').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function after_load_name(response) {
			var v_check_error_found = $('#duplication_error_found_name').val();
			if (v_check_error_found != 1) {
				document.frm_acl.submit();
			} else {
				$('#ticket_category_name').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function delete_record(p_id) {
			if (p_id != '') {
				Swal.fire({
					title: '<font class="title_heading">Are you sure you want to delete this record?</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					confirmButtonColor: '#337AB7',
					showCloseButton: true,
					showCancelButton: true,
					cancelButtonText: "No",
					confirmButtonText: "Yes",
				}).then((result) => {
					if (result.value) {
						window.location = "<?PHP echo \E::get('obj_curr_module')->build_action_path('ticket_category', 'delete'); ?>" + p_id;
					}
				});
			}
		}
		var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_edit_user";
		var v_list;
		var v_init = false;
		var v_init_page = 0;
		var v_init_div_code, v_init_div_name;
		$(document).ready(
			function () {
				<?php
				$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
				$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
				$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
				if($v_session_msg_title != '' && $v_session_msg != ''){
				?>
				Swal.fire({
					title: '<font  class="title_heading">' + "<?php echo $v_session_msg;?>" + '</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				<?php
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
				\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
				}
				?>
			}
		)
		function getmykad(e) {
			if ($(e).html()) {
				$("#btn_mykad_text").html($(e).html());
				$("#my_kad_valu").val($(e).html());
			}
		}
		// get_agency_locations();
		function getCategoryText() {
			var v_ticket_category_type = $("#ticket_category_type option:selected").text();
			$("#ticket_category_type_text").val(v_ticket_category_type);
		}
	</script>
<?php
\I::load_error();
?>