<?PHP
$v_access_view = \E::get('obj_curr_module')->ajax_validation_check_permission("view");
if( !$v_access_view ){
	\V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
	\V::output_view( 'template_login.php' );
	exit;
}
$v_param = $this->get_param();
$v_id = $v_param[0];
$v_tmp_list = \E::get( 'obj_curr_module')->user_group_list();
$v_group_list['no_access'] = "[No Access]";
if( is_array($v_tmp_list) ){
	for( $v_c=0; $v_c<count($v_tmp_list); $v_c++ ){
		$v_group_list[$v_tmp_list[$v_c]['group_id']] = $v_tmp_list[$v_c]['group_name'];
	}
}
$v_var['group_list'] = $v_group_list;
$v_cond['usr_id'] = $v_id;
$v_user_info = \E::get( 'obj_curr_module')->user_role_get($v_id);
$v_user_role_useres_checking = \E::get( 'obj_curr_module')->user_role_check_user_exists($v_id);
$v_cond['usr_id'] = $v_user_info['roles_data'][0]['_rec_modified_by'];
$v_user_info_data = \E::get( 'obj_system_module')->user_get($v_cond);
if( !$v_user_info || !is_array($v_user_info) ){
	header('location: '. \E::get('obj_curr_module')->build_action_path('user_role','view',$v_id));
	exit();
}
$v_user_info_data = \E::get( 'obj_system_module')->user_get($v_cond);
$v_user_permissions = $v_user_info['roles_permissions'];
$v_user_info = $v_user_info['roles_data'][0];
if( $_SERVER['REQUEST_METHOD'] == 'POST' ){
	foreach( $_POST as $v_key => $v_value ){
		$_POST[$v_key] = trim($v_value);
	}
	\I::check("COMPULSORY", 'role_name', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	\I::check("COMPULSORY", 'role_description', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	\I::check("COMPULSORY", 'role_type', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	unset($v_cond);
	$v_field_name = "name";
	$v_table_name = "user_roles";
	$v_field_value = $_POST['role_name'];

	if( isset($_POST['agency_id']) && $_POST['agency_id'] != '' ) {
		$v_agency_id = $_POST['agency_id'];
	} else {
		$v_agency_id = \E::get_session("c_user_agency_id");
	}

	$v_check_info = \E::get('obj_curr_module')->user_check_duplicate_field_user_role_edit($v_field_value,$v_agency_id,$v_id);
	if ($v_check_info && is_array($v_check_info)) {
		\I::set_error_field('role_name' , \E::get('obj_curr_module_lang')->get('USER_ROLE_NAME_DUPLICATE'));
	}
	$v_update['name'] = $_POST['role_name'];
	$v_update['description'] = $_POST['role_description'];
	$v_update['role_type'] = $_POST['role_type'];
	$v_update['role_status'] = $_POST['role_status'];
	$v_update['remarks'] = $_POST['role_remarks'];
	$v_logged_in_user_id = \E::get_session( 'usr_id' );
	$v_str_now = date("Y-m-d H:i:s");
	$v_update['_rec_status'] = $_POST['role_status'];
	$v_update['_rec_modified_by'] = $v_logged_in_user_id;
	$v_update['_rec_modified_on'] = $v_str_now;
	$v_user_info = $v_update;
	if( !\I::is_error() ){
		$v_module_lists = \E::get( 'obj_curr_module')->user_role_update($v_id);
		if ( $v_module_lists ) {
			$v_log_status = \E::get('obj_curr_module')->user_group_add_logs_data($_POST, "Update", "User Role", $_POST['old_value']);
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title' , \E::get('obj_curr_module_lang')->get('SUCCESS'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message' , \E::get('obj_curr_module_lang')->get('RECORD_UPDATED'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status' , 'success');
		}
		header('location: ' . \E::get('obj_curr_module')->build_action_path('user_role','edit',$v_id));
		exit();
	}
	foreach( $_POST as $v_key => $v_value ){
		$v_var[$v_key] = trim($v_value);
	}
} else {
}
$v_var['mode'] = "edit";
$v_var['id'] = $v_id;
$v_var['user_info'] = $v_user_info;
$v_var['re_modified_by'] = $v_user_info_data['usr_full_name'];
$v_var['re_modified_date'] = $v_user_info['_rec_modified_on'];
$v_user_types = \E::get( 'obj_curr_module')->user_role_user_type();
$v_agency_dta = \E::get('obj_curr_module')->user_group_agency_lit();
$v_var['user_types'] = $v_user_types;
$v_var['controller_name'] = "edit";
$v_module_lists = \E::get( 'obj_curr_module')->user_role_module_list();
$v_var['module_lists'] = $v_module_lists;
$v_var['user_permissions'] = $v_user_permissions;
$v_var['user_role_useres_checking'] = $v_user_role_useres_checking;
$v_var['agency_dta'] = $v_agency_dta;
\V::append_data( 'js', \V::load_view( MODULE_PLUGIN_PATH . 'datatables/moonlight_init.php', $v_object, $v_var) );
\V::append_data( 'js', \V::load_view( MODULE_PLUGIN_PATH . 'sweetalert2/moonlight_init.php', $v_object, $v_var) );
\V::append_data( 'menu', \V::load_view( $this->get_view_file_path( 'menu', 'share' ), $v_object, $v_var ) );
\V::append_data( 'body', \V::load_view( $this->get_view_file_path('view'), $v_object, $v_var ) );
\V::output_view();
?>